GNU bug report logs - #35639
27.0.50; tramp fails to use ssh on LibreCMC (no base64 encoder available, and not mentioned in tramp manual)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jeronimo Pellegrini <j_p@HIDDEN>; Keywords: patch; merged with #35473; dated Wed, 8 May 2019 16:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 15 Oct 2019 02:38:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 22:38:36 2019
Received: from localhost ([127.0.0.1]:42510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKCjM-0004dJ-0Z
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 22:38:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1iKCjJ-0004d3-Br
 for 35639 <at> debbugs.gnu.org; Mon, 14 Oct 2019 22:38:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38905)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1iKCjA-0000Vn-Rd; Mon, 14 Oct 2019 22:38:24 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1iKCj9-0002GH-Oc; Mon, 14 Oct 2019 22:38:24 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
In-Reply-To: <20191014015024.GA32638@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <87zhi78lvb.fsf@HIDDEN>
 <20191014015024.GA32638@HIDDEN>
Message-Id: <E1iKCj9-0002GH-Oc@HIDDEN>
Date: Mon, 14 Oct 2019 22:38:23 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, michael.albinus@HIDDEN, j_p@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Yes, sorry about the long time without any news -- I underwent 
  > spine surgery and recovery took over two months.

Will the operation give you the spine necessary to firmly
reject nonfree software?

;-}.

-- 
Dr Richard Stallman
Founder, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 14 Oct 2019 08:00:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 04:00:00 2019
Received: from localhost ([127.0.0.1]:38029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJvGq-0001QY-9I
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 04:00:00 -0400
Received: from mout.gmx.net ([212.227.17.20]:44493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iJvGn-0001QK-Cc
 for 35639 <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:59:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571039985;
 bh=HDu+DEBTZrI/WdynOGXifLxGP0vRj9nVkwAWU1PjZNc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=KudQ4xSlmY8GY61SgWAWJ6g57ZdeZtq2M3gK43BLE2i3dqGSoDEI9g1pEeAJSTCLf
 FyicfuFZc71EvPJ1Ah9VUxRing16ZxoJi7pQ7U7HMADtAR5CGQTdj9RLHwgRLob/rK
 8OXSnmtZWiNhPTUDCQChQqnGxYfc3LKWHRE1z72Q=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.42.71]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MVeMG-1iRf0f2DY4-00Rbw0; Mon, 14
 Oct 2019 09:59:45 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
In-Reply-To: <20191014015024.GA32638@HIDDEN> (Jeronimo Pellegrini's
 message of "Sun, 13 Oct 2019 22:50:24 -0300")
References: <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <87zhi78lvb.fsf@HIDDEN>
 <20191014015024.GA32638@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Mon, 14 Oct 2019 09:59:39 +0200
Message-ID: <87sgnv7o5w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Xv/N4WkjaQPVBwiKJi4MlBl0vNeSb+ByIcJ9dJPtEsrK414OR8y
 pl8Y5mb1fDwLqsVDMr92ayROVxHxrKG5iD4CcfYpFyRTq3BkuLNpQRfPmO7AvcDFoVaQB5L
 PQbW+yGfGma8yt7q7UFMjNr6SHq+NVAYKXMX7+q+JbydttrOeIDJfm16HNjsNQX8TpyHJl3
 Z8950qjw40fbtzHHVC55g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:6V1gG+vdNpU=:bm5PJu1xpdVgvI/pUG1Xqq
 J6RAO4hoKlam9Zipn6r7khJL0uyBAsvUN+k7zjJUEG4SPGBVFUryxNzcxPafvJ+iV5XBo9D4O
 TbvC0BfM/OrWENS+tqHfKPi2I5vv7essMO+ltbNGbmCPcbu0LTY+LatRM+Xs8Kl0jD5VxskOu
 Q+1wmvS11Rd/L2ia4NkvXYtWqNjGMX3depr+GIU3C49NgYg4WwWXFpkMjDtY0JbTN6p0z3HlA
 XY+agaIQA3XXtlx4BPAKacDFla54O+22N/BsRK2H2EntEY19BoJotOEPYhcTA1Eye5FrmHshM
 UJc03hPjvQVt8910TObZj02YazWiHvoPHhJjsmRfHA8s+tmpIqaS/xn3ysIRar4jS3ZMRo5te
 IRY6kVnFWflFPZPu7mUl9RtAsi9qhUgFtbRQS+G4cSz9uhDWsQcrplOmAPFyz6JtejL3cJOK1
 kxIbS72sawkw1bICRVvGk3DDbjmvPXNmIPj0MAXxLf5ppaxPPmZuMfH110p71Na999dlMZaDW
 Fi0/VQSOoFOU761zqd/eFh4QiFFkJu0wwBHXq19+86C5TJ0NIcmehrAgaZqqMjpU0wGHYTv+x
 B+pjYDvHggxZwInPEidGrZO7eWrWocNjqw81Pa+ia+EURmqrUcqLdraL+wEgK50P1r6L3Wm+U
 eDlAMJ5GgWk42Y/fjjxfxUbEH7gPHiBll1Oi3tnvlIj2V9Dc3IAs7ok5fmNqdnGK8+b85DlEE
 FyCnXoJA5JJTHUqeYcV3LR5uCTQeoGk8dHd8rHTIwmX1BcoLvCsiZmNQdPcNVfLCYYDqjF6Ai
 0ADdeIImJQXk+J408qk+k+SKPsnjLLTo3Kg9PnoeMxBjfZk/dUiI94fW/ZxD9yKxl4BwLnBVQ
 BF+Op3VPlj4wk+5Y+QiQFmAIrgY+yxlnflsZeI5Xhq2/8qdld5J8ghQPt5wF+Ge8eLxYRbxbP
 2lnGBomSeVI8OsuTScFrSgirqj+Tb93kp9u7oXqNBNIytsk+9+QyCvBaW/YwNv3pf/hLpHGcK
 h1msAJb+6JpogDlIMDkMWoAxVQiGGavDyKZzQX3LJTk5v6T7tn0pR0dcAdXNbiHHQjT70Olf7
 8zwRZ45IJZSU1+x1V/lYBFCon1XbsfhsnfoOiLyp/a0yiyBDZ6PJz5JcAlqCGPctOF2ia3zj2
 b38R7ZDcU+t9DbHuORpK7dBz4+g+O5hOw0KQ8+Ql8qXC+nlqhAqayYdcjxWjCB5/SD1eEdtkE
 RLvQK3rqEJvLmY05KXlcIWjSIAk44FeNyvVtYrD2S7lzunocMm5vyynCmDoM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hello Michael!

Hi Jeronimo,

> Yes, sorry about the long time without any news -- I underwent
> spine surgery and recovery took over two months.

Oh. I wish you all the best in recovery. Take your time, this is much
more important than a little Emacs package ...

> Also, thinks have been a bt confusing on our side as to how to
> get the paperwork; I'll be getting in touch with the FSF this week
> in order to get things sorted out.

Just in case of problems, you could ask here.

> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 14 Oct 2019 01:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 21:50:36 2019
Received: from localhost ([127.0.0.1]:37387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJpVL-0002qP-Vb
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 21:50:36 -0400
Received: from mail.aleph0.info ([66.228.54.186]:60152 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1iJpVG-0002qA-BZ
 for 35639 <at> debbugs.gnu.org; Sun, 13 Oct 2019 21:50:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id EBF4B42374;
 Sun, 13 Oct 2019 22:50:26 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1571017826; bh=IxYVCwVfRBd9kAOZi99XNZW1Wn1a1OV8zfdMPZJ1jn0=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=OaKWVld3Q0FLyT68DN4Hmz8S2+PUQsySEc7Xe7H7eiwolAtFXZX9XvTm8NomYmjH9
 CGU0Mwqpcj3ULn3hXtT+pSQllyyaLGzAUUUZK4DNIpMhBLq1Auj4kzOq/JQIg7HDVh
 ZsOproBRRVHYrskLfM+h3SCFdznbcyTfLM8yfF0AsVSfHjce6LR0UP84n3eoX1Iz28
 HoXJnygYMbBB6svLggi33J3+MvNK1v9+nnObJs3zlWUWkgISplus3G4CIULpxgQsVJ
 HenBIggDrj9fLnV15h18FDrqtuqqiD3lIeTtO5B6FYpzrwONYFGrAPxESmhkPZfM2E
 gno13/3CTvSIA==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id faOiinjeZnNw; Sun, 13 Oct 2019 22:50:26 -0300 (-03)
Received: from socrates.aleph0.info (unknown [189.100.10.90])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id A417442373;
 Sun, 13 Oct 2019 22:50:26 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1571017826; bh=IxYVCwVfRBd9kAOZi99XNZW1Wn1a1OV8zfdMPZJ1jn0=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=OaKWVld3Q0FLyT68DN4Hmz8S2+PUQsySEc7Xe7H7eiwolAtFXZX9XvTm8NomYmjH9
 CGU0Mwqpcj3ULn3hXtT+pSQllyyaLGzAUUUZK4DNIpMhBLq1Auj4kzOq/JQIg7HDVh
 ZsOproBRRVHYrskLfM+h3SCFdznbcyTfLM8yfF0AsVSfHjce6LR0UP84n3eoX1Iz28
 HoXJnygYMbBB6svLggi33J3+MvNK1v9+nnObJs3zlWUWkgISplus3G4CIULpxgQsVJ
 HenBIggDrj9fLnV15h18FDrqtuqqiD3lIeTtO5B6FYpzrwONYFGrAPxESmhkPZfM2E
 gno13/3CTvSIA==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id 4A26D113590; Sun, 13 Oct 2019 22:50:24 -0300 (-03)
Date: Sun, 13 Oct 2019 22:50:24 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20191014015024.GA32638@HIDDEN>
References: <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <87zhi78lvb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87zhi78lvb.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Michael!

On Fri, Oct 11, 2019 at 03:14:48PM +0200, Michael Albinus wrote:
> Michael Albinus <michael.albinus@HIDDEN> writes:
> 
> Hi Jeronimo,
> 
> >> And I suppose the patch stays on hold until I finish the
> >> FSF assignment process -- is that right?
> >
> > Yes. Unless it is less than 15 changed lines, than we could apply
> > immediately. Your FSF assignment will help in the future anyway.
> 
> This was in May. Do you have feedback from the FSF about your
> assignment?

Yes, sorry about the long time without any news -- I underwent 
spine surgery and recovery took over two months.
Also, thinks have been a bt confusing on our side as to how to
get the paperwork; I'll be getting in touch with the FSF this week
in order to get things sorted out.
 
J.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 11 Oct 2019 13:15:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 11 09:15:07 2019
Received: from localhost ([127.0.0.1]:58206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIul8-0000sT-Oz
	for submit <at> debbugs.gnu.org; Fri, 11 Oct 2019 09:15:06 -0400
Received: from mout.gmx.net ([212.227.17.20]:34883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iIul6-0000rd-0s
 for 35639 <at> debbugs.gnu.org; Fri, 11 Oct 2019 09:15:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570799692;
 bh=Ga1H7n4U51k5XvYw87m/zN8yDGdPgvMhOB8DtwDDlM8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Pnhqj3w86NmLoPvIRa+rss+KSQG7qqfES2Ja7Dzy6M4O9xRsHMuKkJRbDmcQKsle7
 ijcEJI7yrOtXSQIFD0deKPUZG4hAeSJ12xDiHgr5Kcc3pn+QN1/MbeMpCZT4TsUAo1
 Y4jGwbN69Prlt2aqpQioTW8IECxOCbgUPofru2Ro=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.42.71]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MzhnN-1i5wLd1vGL-00vbyq; Fri, 11
 Oct 2019 15:14:52 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN>
Date: Fri, 11 Oct 2019 15:14:48 +0200
In-Reply-To: <87bm0b2y6t.fsf@HIDDEN> (Michael Albinus's message of "Thu, 09
 May 2019 22:02:50 +0200")
Message-ID: <87zhi78lvb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:BFWzqUB9BOkQkF99sE8yfF790J/CrC8QFbdsU+ImjO/9nrXVHqK
 3MF+Tx3jKn9hFUXS0227mBGTct49sMToozQwUoEI0fXMbgGnwEndiEIB4tTq7AVMP2Wi18Z
 r2N/pgTOShqODdUvpjLZSs7vMtt9PjPO9s+A8HtJVRP2gK3Om+23fcHexBNkQ+UErjM3TBO
 /GZwD7u1wVb4g1H/aYbGg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QNGiwmaKBM8=:5VzJISmhl1RF9/HeldK09C
 ZA76qANG4KhwVql7BgQOBfmqMOi1R2KQXNslQ0dx0ZT3s9qa3MlDE7oqxDHwDBJO4eokw72ii
 vxu85krTOB6qJ8mo13DCU5swXk/lIrQevM9to++zielIC1CuoF85NPZFcZUDgqFwFreEkEbiy
 6kQGpqQqlpFHjmUUHZco5oZLo+s5khK6ijXsLNa3e02RuDoOxOPZuCdiRg/B2o7RGLd8njPtE
 kUiN3yW+z2K74OEWvEdDAKhCEkX7LcADrHy1R5sPMdyDFYgYq9tnJsQk1ZIir4pKKr2R7s2fM
 g5NSJcrIsX+uZGs/FMXhTQf9tOktoKqHiTZ/tlTtkOLdIp0t+RVShc+Aoq0+OShOp6gMn/dWZ
 DIFi46/B14nskWUAGNtFQY5Vn1LtgN3Xe8Vgv6j2dEKkHkL2eVz8GYYzDHyDWqfuNGfe4u9Tv
 g2KUwGy8D8uynjDYfEUQrYH7qz44sab3CISGa/tjzRC2ziiEW3r1j26vAcA/mNee9VNExmZ0S
 1LdL/S4nZ7jf60NDFvW7zWeV7t1YqijovlldvKKJEs4yZj1RCI1uk6Voj8M+1+iUFJz4okx7P
 8yn9L7AZzcemKz8Ce7QoYK9Q71S8dDoAYPY8LFIjvv8U7ifMN+xzk5UTNKm4GNmRtXHCwC9di
 ZC8KFOQi03mQBSSaVlSPbbKtvr+ZROkoSagT1thKfs1sGVHDPBQomhuZLvwX9G70Oe139r9kz
 LjG+ziyi0L00bO7Fqz+Zk5uqQCRFuth7vkTFJk/16xaEHar2eATVsjAV3ZWndv/R1gQkJlfz5
 cTh2dolV138vl6YDt3M0QPlu9LAgc2kSDPKO/o7hlbs+rc84Uvfp3OI7bIQZJNT7p0hTOJJna
 URTvSwxEvpF+krmqxD0rUxKtW35KRIpxpc3RF/gEMF/yHb6IGEe3yvZDpSUikCdo9bLPLC2w0
 BDEiHYIIXkjCJkqM0YsNl+XkyfwGpiy3lRpBRr/4a6iWafPxmtilif50ms2wPozjUF9vi9TVt
 cMKe30hTKGFSTB3FcQxLvQ+Pq7sUP+U2h05s94noGqEZ/puxtBR7Oly+eEkRBuvZGs8WNIpLB
 hgKvDQnax89cAboJ8AmOhD3nEE6R8R9vdsnvv4IUEP8TZjw43r8jBf4FFwB1ygTRdtEJt7WHL
 pE2Ys+cuRPJu6VgBExmeJPDyrkyOg+hYme6KYmHrvaKAkQLpvKBNkxKhvHrdy5PyO0iVsQqRd
 b5vtVCq67zZM34ICmGRRRihEEGJUTCFYtberm4hbvQVY4woMAe9flzJ1ENsc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi Jeronimo,

>> And I suppose the patch stays on hold until I finish the
>> FSF assignment process -- is that right?
>
> Yes. Unless it is less than 15 changed lines, than we could apply
> immediately. Your FSF assignment will help in the future anyway.

This was in May. Do you have feedback from the FSF about your
assignment?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 18 May 2019 07:47:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 18 03:47:18 2019
Received: from localhost ([127.0.0.1]:59532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hRu3q-0008Aw-FP
	for submit <at> debbugs.gnu.org; Sat, 18 May 2019 03:47:18 -0400
Received: from mout.gmx.net ([212.227.17.22]:52891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hRu3o-0008Ae-0P
 for 35639 <at> debbugs.gnu.org; Sat, 18 May 2019 03:47:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1558165621;
 bh=JY2pv8wyuTMk4HzyxBQXHMR0dRRst8rsdIe4zhygAJQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=VukZm+w2S4tK/Il5OZW2fv9PXNluPbh4wb/f9yhgA4jqMvAUAiMr0BsHCTnTrauu9
 B/KPHtM9NfjrY3tOlq+LU6CiMlkzq6xQIRrBL2yOfIAYyClnEzpBqf3cG8GoGi1eJk
 Q9BO1g3YNUVl8XkzVhNEDvuqFhq392xdRh5uAVcc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.147.240]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LbMb0-1gyZqQ3bbu-00kzSu; Sat, 18
 May 2019 09:47:00 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <20190510094930.GF1697@HIDDEN>
 <87imui1ul2.fsf@HIDDEN> <20190510144546.GA8269@HIDDEN>
 <20190511015735.GG1697@HIDDEN> <87ef54jc67.fsf@HIDDEN>
 <20190517190008.GA5702@HIDDEN>
Date: Sat, 18 May 2019 09:46:44 +0200
In-Reply-To: <20190517190008.GA5702@HIDDEN> (Jeronimo Pellegrini's
 message of "Fri, 17 May 2019 16:00:08 -0300")
Message-ID: <87tvdsw6fv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:6Wyk5N7onb4W0AdhD7eLspy1ryf80LdOHk4Ae5v++XVURdK+c77
 MtJat2/j6hkzZYY5fzrQ9UdQ2XHw/mG0hEQx5rHlsDUhRF303XuOx2MQStqT7IAiqlwcyfK
 OKsFsPylviXbrM6KwS9xelntqm9oBXrZReVhMzhzq06TnXH5sizSsYEvB75t9ENWqJ/k2mS
 Wd6TlzWyzMoFvhx+sDAPw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:4mjDfR6gLhw=:WAugDObQ/nnJx7w0hPXpBg
 sLSa5/auGgBrN+KY3i092MBAOmf9mAdGRBlGUTsyBVrtDTpjYmNFVphHNDiD3VAPQgBSeDYj0
 F+vJwxHPPsCG9XYsxuC/xs1WKCzhQvpTfzC3+9H6rPPOTlOzH2k6PXy36G1k/vU4OY9ILqMsF
 3buhzdeZNHiH5RNdim+6I3n62Q0DhCa28cqdyT1vSxWxBQACKd2QtdRmfWsgT8taP8ldVnMSW
 RZRkJ6Q2wWut2Qo/+WUkWJjtp9nvj47y0icoMDqsX+3fmNw7FY+OHEV01yyfUTM/z9dPzr6wl
 kzeAfMlXicX6sYqgJAJDTr4G9xCwtdc+OZEnM2zfza3OLBuoj8xq9+SMMSyhbilMfWaDr6JQ0
 bxQdmuoFus5SRtHNwd50ttiQyJAJYebt0Qgv3Fg9v8ZfaPJiWN6XZZBUcO6322JvAm3ukhody
 PtXUJlho34LBnDccx7Se5tfoeYc8kwpOx70ieC9qlsGSHhJSsZP3+GjId/OXTAZyn+j+aA9Q3
 4YxYv3UXnU94sB0Ia2JkxB4BWNT7FMNbLwhQ2KKYMStayNEUMTKG7WMwoxywf3WoCl2ymtnmJ
 PRSvb5Y+pzohFsP/wFlaO3T9P2ADovfxl/l4Pd5JDpidP/XD4J8pRTrpzkTDtKhiyXm0Ts2lC
 c5PsJI4HZQbgXJZqtP1BIN9xv2GiYhmkMuC/jlCbi18drhWp780C8K3HprpVq9H5A0BUithmf
 mB30L98HxP7CIR19fXs771J9Z+dqeqOhtwRFrks8LUB0DpuZnlmWhIENjaUUjjLKAFGHcucR/
 EA1My51b60wHJhD9vkCUrlG/gRi3VmsI5nibWn6FO1RNl4V7FYzDqSEd2Puy2a1M1r31hJei1
 tKpXBUw8J9N66mC+4y4jnhCIa4WDYm/E3w39eZIXPn6ret8S+GQ+YxF9dICdZnRdftABi0yUP
 9KYwbbTJucqAZk4MbHnCgHLt6FeaCZFcXzcFmkjBi/oNXZ0hKPVG1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hi,

Hi Jeronimo,

> I am working on the patch, but due to health issues
> it will take a while to answer (some days).

No problem, take all the time it needs. Your health is much more
important than a little program.

> J.

Get well soon! Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 17 May 2019 19:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 17 15:00:21 2019
Received: from localhost ([127.0.0.1]:58970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hRi5d-00020D-Gy
	for submit <at> debbugs.gnu.org; Fri, 17 May 2019 15:00:21 -0400
Received: from mail.aleph0.info ([66.228.54.186]:54410 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hRi5b-0001zw-Sy
 for 35639 <at> debbugs.gnu.org; Fri, 17 May 2019 15:00:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id 81B384237C;
 Fri, 17 May 2019 16:00:11 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1558119611; bh=vyeye9v3Fr0pOgHPtimrifBBw4gYYi2RG8EAyJmx0wU=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=XwzJJ6iy3zRIPsF+RZMa894kQ6+G0CA/4rUsJPCDfcN+j3djCtPjHr4Z3GAEAl7eV
 eZ/Ag48WwhzZ9am4YRd2lZ5xqz3ZKcJ+cZ6JsmJhAwVD5rxyGdBP5dnsm1MkIHahuF
 Gf6zwDBC3qwQavh8mXf+GtlLcjU1BMNIfAhpKuCJklEI11ZZxKWw1d/WoDcY8maE0T
 RO5CntANHeZ6U+w9G8PgAWm0pwAb/odUWqSOH6uML4J+0oTQCZAGOh3FAvwUFzVtBc
 04nGM3OJ2PzAGsegvdHWQftFn78oeeNmIioGEMOW5F3Q83hxr9oyMJ83RPxAcdbg//
 uUJgUr+ZwaXJg==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id rTT6FxrnsifN; Fri, 17 May 2019 16:00:11 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 2775A42379;
 Fri, 17 May 2019 16:00:11 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1558119611; bh=vyeye9v3Fr0pOgHPtimrifBBw4gYYi2RG8EAyJmx0wU=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=XwzJJ6iy3zRIPsF+RZMa894kQ6+G0CA/4rUsJPCDfcN+j3djCtPjHr4Z3GAEAl7eV
 eZ/Ag48WwhzZ9am4YRd2lZ5xqz3ZKcJ+cZ6JsmJhAwVD5rxyGdBP5dnsm1MkIHahuF
 Gf6zwDBC3qwQavh8mXf+GtlLcjU1BMNIfAhpKuCJklEI11ZZxKWw1d/WoDcY8maE0T
 RO5CntANHeZ6U+w9G8PgAWm0pwAb/odUWqSOH6uML4J+0oTQCZAGOh3FAvwUFzVtBc
 04nGM3OJ2PzAGsegvdHWQftFn78oeeNmIioGEMOW5F3Q83hxr9oyMJ83RPxAcdbg//
 uUJgUr+ZwaXJg==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id DBEC09A65D; Fri, 17 May 2019 16:00:08 -0300 (-03)
Date: Fri, 17 May 2019 16:00:08 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190517190008.GA5702@HIDDEN>
References: <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <20190510094930.GF1697@HIDDEN>
 <87imui1ul2.fsf@HIDDEN> <20190510144546.GA8269@HIDDEN>
 <20190511015735.GG1697@HIDDEN> <87ef54jc67.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87ef54jc67.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I am working on the patch, but due to health issues
it will take a while to answer (some days).

J.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 12 May 2019 08:43:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 04:43:31 2019
Received: from localhost ([127.0.0.1]:41755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPk4w-0008Gc-KT
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 04:43:30 -0400
Received: from mout.gmx.net ([212.227.15.15]:45617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hPk4s-0008GM-6x
 for 35639 <at> debbugs.gnu.org; Sun, 12 May 2019 04:43:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557650595;
 bh=IGkWls9vLCk1dm1x8X/0Ozi4QVavp3ho32X/HsRespg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=TBTjixqWCExvAZQMTCt7p3KOhUSgIGsFEEntCngDlS3yrm3tp0pYLIsUJimZVAEm2
 SEea61Suo7F/XbShXnvU+p420QBnmI/C4icxDJDKRfKiWAF5wTe3RggeKq3IQjTsCB
 FcEQ10705T3CNba46XmM44c0/QH8/xKlb1cchANc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.238.102]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MAhWl-1hZwfw2Pmt-00Bupr; Sun, 12
 May 2019 10:43:15 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <20190510094930.GF1697@HIDDEN>
 <87imui1ul2.fsf@HIDDEN> <20190510144546.GA8269@HIDDEN>
 <20190511015735.GG1697@HIDDEN>
Date: Sun, 12 May 2019 10:43:12 +0200
In-Reply-To: <20190511015735.GG1697@HIDDEN> (Jeronimo Pellegrini's
 message of "Fri, 10 May 2019 22:57:36 -0300")
Message-ID: <87ef54jc67.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:GQGstkE3QRMUi3oLlqyaFxLlBYuz3wtAlHLuYBM2HAW0nALa6jt
 KVswgxNSkLyne8EfE64/WZGBV0QSrbJem5hgHQ8esWYLxQGKoSkDHkRdhng8nrycmf37yaK
 XWY0HzrEXhylvlHDMjfvcVlmRDBXN/SL9KxJSd8+1zwCfnVdw7Rkv+G7KfipADRblRiChH3
 ug/S8Dkb9qw40v3MkoyYA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wrK9P1CA7k0=:DezfNekABmt29ExgJuSTc7
 4+um/ynKJz8W6nC5oxQv4yeTaanR2Z+2CnlF8BLBrcIPyk9vQpQcHVWpKKqZzZTRGRB1lVhZY
 GakrIGOQC5+dyEZPSPXykO/Qe1gsfCJtOcT06z0Ul4PBTskHUPUIsfpcAJtEdX+hYezS9eF40
 ACXnYdy/4J4IdOW9fcfIVG8p9lP+kfyxOeQQzespEDbVsfzmMyoymGOG1bQMfCsFfWQnqjs1i
 iZ3Fs9yFrYsXKj+Uw0SWiFQW/JoV6sGgbK7wgmk2ljR+EPA2uSjgwBJeV5oO/VOdBX+v9fbO7
 tj4OgFuNLqmqhqRCzgAeFahgLzI3+MTDIdpDSuyRapx0kr6z2beMEmHIn41ytXYbYNqgn9bf+
 kakZYyJM4wWGWGHqY10uM3DQR17SBqG9+eUHDVZeGb4w8bWDaxhW8EGllhNKMm0lTcnXUBgEy
 aZFlxvTRcUI6b0kp8RAlDSIaG8U8VfrC1IMMGLlNSkaohLJW/bIAuE5S4B9eqPPBSvy79uaqR
 mDSItpZu/PYvLWSjRQCU+612hUvNsp7HwX1gArBRnbQxnNcIHl0Ol8E+Z3GueFtxQEmMOJnBJ
 U38iajxQTWSs0fzJwXiDulvsBLuhf0N76Ygw83BAk0jlqdjsJ74537196JEb00BchkbCUiJKA
 DC5lXv46Z2mwA5DhEVKcA9dEs+nSiSRzbE3y6mk6TYm0KeD+jwREU80VeupTNrcIoxGuyEGUo
 3OliWgeZ8XRe7LcKRw701nyGRl7aT9aBR8QAu0FbTo22NL7mXlC+Wlh+6e6ZBQAHOSsnMWiaK
 CR9Itnu57/TGhqaGUsfHSIHbf8Hoi4xcto8me0pqm4z36u1rEQs8gBtOaX31NB2fbr1/aIlyl
 gojB9b1bwhX3Wzrz5BVp821pzoxi5nf/5NcsvKMsaFhQCsszpHi+7OPUt/qTvuk4Eh85/ZNJ7
 m/qbcHtv9DA==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

Hi Jeronimo,

>> Or I can try to make the shell code that is sent to the remote
>> end do the verification itself (I'd test using dash, which I
>> hope will work on most systems of interest). Something like
>>
>> { hexdump < /dev/null && HD=3Dhexdump; } || \
>> { busybox hexdump < /dev/null && HD=3D"busybox hexdump"; } &&  \
>> $HD ...
>
> I actually implemented the shell scripting solution.
> Only tramp-hexdump-awk-encode is in the email body, but the
> full patch is attached.
>
> This seems to work, and requires no extra coding in tramp
> (only the constant strings are changed).

Thanks for this. However, it is not the approach Tramp goes for remote
command detection. The major downsides are, that the whole script must
be transferred to the remote side again and again, and that the
detection code runs again and again. Both decreases the performance.

> I can also do the templating in elisp, if you think it would be
> better.

Yes, please. First, you shall define the functions

tramp-get-remote-busybox
tramp-get-remote-awk
tramp-get-remote-hexdump
tramp-get-remote-od

All of them use connection caching, in order to run the detection only
once, and use the cached result afterwards. tramp-get-remote-busybox is
just a helper function for the other three functions, it could look like

(with-tramp-connection-property vec "busybox"
  (tramp-message vec 5 "Finding a suitable `busybox' command")
  (tramp-find-executable vec "busybox" (tramp-get-remote-path vec)))

See, how other tramp-get-remote-* functions in tramp-sh.el look like.
tramp-get-remote-{awk,hexdump,od} are implemented as

(with-tramp-connection-property vec "awk"
  (tramp-message vec 5 "Finding a suitable `awk' command")
  (or (tramp-find-executable vec "awk" (tramp-get-remote-path vec))
      (let* ((busybox (tramp-get-connection-property vec "busybox" nil))
	     (command (concat busybox " awk {} </dev/null")))
	(and busybox
	     (tramp-send-command-and-check vec command)
	     command))))

In tramp-remote-coding-commands, TEST must be extended not to be only a
string (which is run as command on the remote side), but also a Lisp
form to be evaluated. We would need tramp-hexdump-awk-coding-test and
tramp-od-awk-coding-test, with code like this:

(and (tramp-get-connection-property vec "hexdump" nil)
     (tramp-get-connection-property vec "awk" nil))

and the same for tramp-od-awk-coding-test.

Finally, the encoding/decoding commands in
tramp-{hexcdump,od}-awk-{encode,decode} would need place-holders for
%a (for awk), %h (for hexdump), and %o (for od), like:

"%h -v -e '16/1 \" %%02x\" \"\\n\"'| %a '\\
 ...
 }'"

In tramp-find-inline-encoding, these place-holders must be expanded by
the result of tramp-get-connection-property for the respective command.

All of this sounds a little bit complicate, but it ensures, that every
test on the remote side is run only once, and the result is taken from
the cache afterwards.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 11 May 2019 01:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 21:57:49 2019
Received: from localhost ([127.0.0.1]:39532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPHGn-0003Wr-Dh
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 21:57:49 -0400
Received: from mail.aleph0.info ([66.228.54.186]:37092 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hPHGk-0003Wa-AM
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 21:57:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id 1645E4237A;
 Fri, 10 May 2019 22:57:40 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557539860; bh=5qXTuU41irOj9CZQX0srSD8Ttwq5/wfRMXrB8tz7GbM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=LdfgP89pULJmGvaxuY5lR901Fvm/vEro1yYHADheHxmm7TQweyyoPYmWQr2j657JU
 qS7h2ZDyMWRswoSa8hokCgGQAWu9F7Wa1X1sAfc/Z7OcOZGwbZjsAe0BVWXz96ie/o
 f2IOYU4znndWLWkeNBKZwZqc89U9OSyecJ1Uph4V2ywjhNQc7vyOoWcwmtmkbqtRWX
 58pSWnTh0vNRWUzl3lBlNP3+m5N1DeCEMiH1JMPdsaeP06oLniRmVrJlMS1/ZGIaSt
 E12KhG7z9T6H8SxT47+NY/k9cNITMomxsmQFBC/J5fd/sz0pUhWpmVjwseXDy4gxZ7
 FYcQARCOWmp6A==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id RoXDVd20rAK0; Fri, 10 May 2019 22:57:39 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 8856842374;
 Fri, 10 May 2019 22:57:39 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557539859; bh=5qXTuU41irOj9CZQX0srSD8Ttwq5/wfRMXrB8tz7GbM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=HZ7/qGZLF1mTPRydK7CrZuF/Y/paEq8Swl6sJpzJx5gClySzCXCwErrnj46PjFAK4
 OIXyt7wKgGc3q8zdY8lGFY7loJdUwolTTtHnxs36P0/RvnW7Uz446xFe0aC/OK9C1B
 NzHUzYRC3PzC0WhdDl3hJM3L95grjehF51UeLHbOMjox+LtTsKW3F86ZuuOk1Km8pP
 zaUqc2gLTF/rC8hdAWzi7jU5nKXE18d9WktbMR25Jv4YJWRTVDuFI2HekaQPMfsFKR
 huK1Zl1j0gNi+56SUjbKpzyjS1uIvZ2IeqVLkETW1gsoDSdPfIVBgubk+eM+dFj3gN
 mofctzpENJFhw==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id 73286970E9; Fri, 10 May 2019 22:57:36 -0300 (-03)
Date: Fri, 10 May 2019 22:57:36 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190511015735.GG1697@HIDDEN>
References: <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <20190510094930.GF1697@HIDDEN>
 <87imui1ul2.fsf@HIDDEN> <20190510144546.GA8269@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="QKdGvSO+nmPlgiQ/"
Content-Disposition: inline
In-Reply-To: <20190510144546.GA8269@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--QKdGvSO+nmPlgiQ/
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Fri, May 10, 2019 at 11:45:46AM -0300, Jeronimo Pellegrini wrote:
> Or I can try to make the shell code that is sent to the remote
> end do the verification itself (I'd test using dash, which I
> hope will work on most systems of interest). Something like
> 
> { hexdump < /dev/null && HD=hexdump; } || \
> { busybox hexdump < /dev/null && HD="busybox hexdump"; } &&  \
> $HD ...

I actually implemented the shell scripting solution.
Only tramp-hexdump-awk-encode is in the email body, but the
full patch is attached.

This seems to work, and requires no extra coding in tramp
(only the constant strings are changed).

I can also do the templating in elisp, if you think it would be 
better.

J.

(defconst tramp-hexdump-awk-encode
  "{ { awk '{}' </dev/null && BA=\"\"  ; } || \
     { busybox awk '{}' </dev/null &&  BA=busybox ; } } && \
   { { hexdump -v -e '16/1 \" %%02x\" \"\\n\"' < /dev/null && BH=\"\" ; } || \
     { busybox hexdump -v -e '16/1 \" %%02x\" \"\\n\"' < /dev/null && BH=busybox ; } } && \
$BH hexdump -v -e '16/1 \" %%02x\" \"\\n\"'| $BA awk '\\
BEGIN {
  b64 = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\"
  b16 = \"0123456789abcdef\"
}
{
  for (c=1; c<=length($0); c++) {
    d=index(b16, substr($0,c,1))
    if (d--) {
      for (b=1; b<=4; b++) {
        o=o*2+int(d/8); d=(d*2)%%16
        if (++obc==6) {
          printf substr(b64,o+1,1)
          if (++rc>75) { printf \"\\n\"; rc=0 }
          obc=0; o=0
        }
      }
    }
  }
}
END {
  if (obc) {
    tail=(obc==2) ? \"==\\n\" : \"=\\n\"
    while (obc++<6) { o=o*2 }
    printf \"%%c\", substr(b64,o+1,1)
  } else {
    tail=\"\\n\"
  }
  printf tail
}'"
  "Awk/hexdump program to use for encoding a file.
This string is passed to `format', so percent characters need to be doubled.")

--QKdGvSO+nmPlgiQ/
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="tramp-use-hexdump-with-extra-shell-scripting.diff"

diff --git a/doc/misc/tramp.texi b/doc/misc/tramp.texi
index 2eb5b45eb2..ade4d5cb2d 100644
--- a/doc/misc/tramp.texi
+++ b/doc/misc/tramp.texi
@@ -1960,16 +1960,31 @@ Remote programs
 @section How @value{tramp} finds and uses programs on the remote host
 
 @value{tramp} requires access to and rights to several commands on
-remote hosts: @command{ls}, @command{test}, @command{find} and
+remote hosts: at least @command{ls}, @command{test}, @command{find} and
 @command{cat}.
 
+For inline methods, at least one of the following should be available:
+
+@itemize @bullet
+@item @command{base64}
+@item @command{openssl}
+@item @command{mimencode}
+@item @command{mmencode}
+@item @command{recode}
+@item @command{perl} or @command{perl5} (if the  @command{MIME::Base64}
+module is available, it will be used)
+@item @command{od} and @command{busybox awk}
+@item @command{hexdump} and @command{busybox awk}
+@item @command{uuencode} and @command{uudecode}
+@end itemize
+
+If none of these are available, @value{tramp} will not work with inline methods,
+but other methods may still be used. If @command{gzip} is available, it is
+also used, in order to improve performance.
+
 Besides there are other required programs for @ref{Inline methods} and
 @ref{External methods} of connection.
 
-To improve performance and accuracy of remote file access,
-@value{tramp} uses @command{perl} (or @command{perl5}) and
-@command{grep} when available.
-
 @defopt tramp-remote-path
 @code{tramp-remote-path} specifies which remote directory paths
 @value{tramp} can search for @ref{Remote programs}.
diff --git a/lisp/net/tramp-sh.el b/lisp/net/tramp-sh.el
index 95fa61af98..fc2fb51b8a 100644
--- a/lisp/net/tramp-sh.el
+++ b/lisp/net/tramp-sh.el
@@ -850,8 +850,12 @@ tramp-perl-unpack
   "Perl program to use for decoding a file.
 Escape sequence %s is replaced with name of Perl binary.")
 
-(defconst tramp-awk-encode
-  "od -v -t x1 -A n | busybox awk '\\
+(defconst tramp-hexdump-awk-encode
+  "{ { awk '{}' </dev/null && BA=\"\"  ; } || \
+     { busybox awk '{}' </dev/null &&  BA=busybox ; } } && \
+   { { hexdump -v -e '16/1 \" %%02x\" \"\\n\"' < /dev/null && BH=\"\" ; } || \
+     { busybox hexdump -v -e '16/1 \" %%02x\" \"\\n\"' < /dev/null && BH=busybox ; } } && \
+$BH hexdump -v -e '16/1 \" %%02x\" \"\\n\"'| $BA awk '\\
 BEGIN {
   b64 = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\"
   b16 = \"0123456789abcdef\"
@@ -881,11 +885,51 @@ tramp-awk-encode
   }
   printf tail
 }'"
-  "Awk program to use for encoding a file.
+  "Awk/hexdump program to use for encoding a file.
+This string is passed to `format', so percent characters need to be doubled.")
+
+(defconst tramp-od-awk-encode
+  "{ { awk '{}' </dev/null && BA=\"\"  ; } || \
+     { busybox awk '{}' </dev/null &&  BA=busybox  ; } } && \
+   { { od -v -t x1 -A n < /dev/null && BO=\"\" ; } || \
+     { busybox od -v -t x1 -A n < /dev/null && BO=busybox ; } } && \
+$BO od -v -t x1 -A n $BA awk '\\
+BEGIN {
+  b64 = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\"
+  b16 = \"0123456789abcdef\"
+}
+{
+  for (c=1; c<=length($0); c++) {
+    d=index(b16, substr($0,c,1))
+    if (d--) {
+      for (b=1; b<=4; b++) {
+        o=o*2+int(d/8); d=(d*2)%%16
+        if (++obc==6) {
+          printf substr(b64,o+1,1)
+          if (++rc>75) { printf \"\\n\"; rc=0 }
+          obc=0; o=0
+        }
+      }
+    }
+  }
+}
+END {
+  if (obc) {
+    tail=(obc==2) ? \"==\\n\" : \"=\\n\"
+    while (obc++<6) { o=o*2 }
+    printf \"%%c\", substr(b64,o+1,1)
+  } else {
+    tail=\"\\n\"
+  }
+  printf tail
+}'"
+  "Awk/od program to use for encoding a file.
 This string is passed to `format', so percent characters need to be doubled.")
 
 (defconst tramp-awk-decode
-  "busybox awk '\\
+  "{ { awk '{}' </dev/null && B=\"\"  ; } || \
+     { busybox awk '{}' </dev/null &&  B=busybox  ; } } && \
+$B awk '\\
 BEGIN {
   b64 = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\"
 }
@@ -910,11 +954,25 @@ tramp-awk-decode
   "Awk program to use for decoding a file.
 This string is passed to `format', so percent characters need to be doubled.")
 
-(defconst tramp-awk-coding-test
+
+(defconst tramp-hexdump-awk-coding-test
+  "test -c /dev/zero && \
+{ {          hexdump -v -e '16/1 \" %02x\" \"\\n\"' < /dev/null ; } || \
+  { busybox  hexdump -v -e '16/1 \" %02x\" \"\\n\"' < /dev/null ; }    } \
+&& \
+{ {         awk '{}' </dev/null ; } || \
+  { busybox awk '{}' </dev/null ; } } "
+  "Test command for checking `tramp-hexdump-awk-encode' and \
+`tramp-awk-decode'.")
+
+(defconst tramp-od-awk-coding-test
   "test -c /dev/zero && \
-od -v -t x1 -A n </dev/null && \
-busybox awk '{}' </dev/null"
-  "Test command for checking `tramp-awk-encode' and `tramp-awk-decode'.")
+{ {          od -v -t x1 -A n < /dev/null ; } || \
+  { busybox  od -v -t x1 -A n < /dev/null ; }    } \
+&& \
+{ {         awk '{}' </dev/null ; } || \
+  { busybox awk '{}' </dev/null ; } } "
+  "Test command for checking `tramp-od-awk-encode' and `tramp-awk-decode'.")
 
 (defconst tramp-vc-registered-read-file-names
   "echo \"(\"
@@ -3167,7 +3225,8 @@ tramp-sh-handle-file-local-copy
 
 	   ;; Oops, I don't know what to do.
 	   (t (tramp-error
-	       v 'file-error "Wrong method specification for `%s'" method)))
+	       v 'file-error  "Cannot find any way to encode data using `%s'"
+	       method)))
 
 	;; Error handling.
 	((error quit)
@@ -4370,8 +4429,10 @@ tramp-remote-coding-commands
     (b64 "recode data..base64" "recode base64..data")
     (b64 tramp-perl-encode-with-module tramp-perl-decode-with-module)
     (b64 tramp-perl-encode tramp-perl-decode)
-    ;; This is painful slow, so we put it on the end.
-    (b64 tramp-awk-encode tramp-awk-decode ,tramp-awk-coding-test)
+    ;; These is painfully slow, so we put it on the end.
+    (b64 tramp-od-awk-encode tramp-awk-decode ,tramp-od-awk-coding-test)
+    (b64 tramp-hexdump-awk-encode tramp-awk-decode
+	 ,tramp-hexdump-awk-coding-test)
     (uu  "uuencode xxx" "uudecode -o /dev/stdout" "test -c /dev/stdout")
     (uu  "uuencode xxx" "uudecode -o -")
     (uu  "uuencode xxx" "uudecode -p")

--QKdGvSO+nmPlgiQ/--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 10 May 2019 14:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 10:45:59 2019
Received: from localhost ([127.0.0.1]:38731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hP6mc-00022S-PG
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 10:45:59 -0400
Received: from mail.aleph0.info ([66.228.54.186]:38136 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hP6mZ-00022D-H9
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 10:45:57 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id 44ED24237A;
 Fri, 10 May 2019 11:45:49 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557499549; bh=NKr21XIxMjipEatX8FUQH+ndaT7lsMqF7UwhGBecPVA=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=H/O7RWeGdRmwEPdRDWwijypTmN5PvpdjF+Mn8Bil6NdpCpuvVOMrRaZfUqZHGnbMB
 ZrLlh7qk9dHdzrc/Iwfy8/bl7hWQvqDBf0Xcneg7cPQlHmYE1F9aw+56yK9V2uxJub
 igetWmtzSPoqto6MHyNpDVh1oTEt4EZEKsUOldZNGkGOtMkHYgA2LRdOP2vM2w+UVs
 MHo9TmwGo1/sIJF1Ka/NNnjH0Fqay0XB9lCKZn3gdofWPVtVV+JNC4gWgcFG8V13ER
 nmLLwZZdeh9d/1qvwnMNDgGm4oo+bEWxOK+tp52QuJFBcnMjQgkhAF2BZBzgCU8+1h
 863sbt0I4dchA==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id haTToe1Lkwvy; Fri, 10 May 2019 11:45:49 -0300 (-03)
Received: from mitra.ufabc.edu.br (unknown [177.104.48.1])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id EF52442374;
 Fri, 10 May 2019 11:45:48 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557499549; bh=NKr21XIxMjipEatX8FUQH+ndaT7lsMqF7UwhGBecPVA=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=H/O7RWeGdRmwEPdRDWwijypTmN5PvpdjF+Mn8Bil6NdpCpuvVOMrRaZfUqZHGnbMB
 ZrLlh7qk9dHdzrc/Iwfy8/bl7hWQvqDBf0Xcneg7cPQlHmYE1F9aw+56yK9V2uxJub
 igetWmtzSPoqto6MHyNpDVh1oTEt4EZEKsUOldZNGkGOtMkHYgA2LRdOP2vM2w+UVs
 MHo9TmwGo1/sIJF1Ka/NNnjH0Fqay0XB9lCKZn3gdofWPVtVV+JNC4gWgcFG8V13ER
 nmLLwZZdeh9d/1qvwnMNDgGm4oo+bEWxOK+tp52QuJFBcnMjQgkhAF2BZBzgCU8+1h
 863sbt0I4dchA==
Received: by mitra.ufabc.edu.br (Postfix, from userid 1000)
 id 44F491AD; Fri, 10 May 2019 11:45:46 -0300 (-03)
Date: Fri, 10 May 2019 11:45:46 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190510144546.GA8269@HIDDEN>
References: <20190509101938.GB1697@HIDDEN> <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <20190510094930.GF1697@HIDDEN>
 <87imui1ul2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87imui1ul2.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On Fri, May 10, 2019 at 12:18:17PM +0200, Michael Albinus
 wrote: > Jeronimo Pellegrini <j_p@HIDDEN> writes: > > What do we do?
 Duplicate the functions again? > ( ... ) > > Maybe, we shall use jus [...]
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: aleph0.info]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [177.104.48.1 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Hi,

On Fri, May 10, 2019 at 12:18:17PM +0200, Michael Albinus wrote:
> Jeronimo Pellegrini <j_p@HIDDEN> writes:
> > What do we do? Duplicate the functions again?
> ( ... )
> 
> Maybe, we shall use just a template for the encoding/decoding functions,
> and for all busybox subcommands we need a test, whether they can be
> invoked via "busybox command" or "command". There will be sevaeral
> combinations to test.

If templating is the way to go, then tramp-od-awk-encode,
tramp-hexdump-awk-encode, tramp-awk-decode would not be constant
strings anymore; a string would need to be build every time tramp
started a connection. Tramp would apply tests, and depending on
what tests succeed, concatenate the proper strings. Is this good?

Or I can try to make the shell code that is sent to the remote
end do the verification itself (I'd test using dash, which I
hope will work on most systems of interest). Something like

{ hexdump < /dev/null && HD=hexdump; } || \
{ busybox hexdump < /dev/null && HD="busybox hexdump"; } &&  \
$HD ...

(but including the proper command line arguments)

This would work on dash, bash, zsh, ksh and hopefully on any shell
that claims to be POSIX-compliant. Won't work on fish and any
other fancy, modern, alternative shells, of course.

Which one is preferable? Templating in emacs-lisp, or creating smart
shell code?

J.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 10 May 2019 10:18:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 06:18:37 2019
Received: from localhost ([127.0.0.1]:37225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hP2bs-0005cW-0z
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 06:18:37 -0400
Received: from mout.gmx.net ([212.227.15.18]:45145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hP2bo-0005cH-Hq
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 06:18:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557483500;
 bh=j/ZKIaUFJK7v+5jUG5jmtqOenWNXcxL21qDCbS7RK18=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gCiHJUfBDEOXO2nPk0S/9IoKrDGqZm5ieIK1fSpNSzzdTAVnUJtaiSbsyLDrVtyLz
 2xNMrssX1kylliFPu9tHL9QbLnK1F/I1lw3sXLQeySSa9YWB8ghi4pnJItRnHZ/7N0
 uPgqyIEn9YMCmy7WBVChfv4vyjelSyDVF/cLnxO8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.238.102]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MexaL-1h4uE11yxd-00OUr9; Fri, 10
 May 2019 12:18:20 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <20190508230145.GA1697@HIDDEN> <87d0ksw05q.fsf@HIDDEN>
 <20190509101938.GB1697@HIDDEN> <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <20190510094930.GF1697@HIDDEN>
Date: Fri, 10 May 2019 12:18:17 +0200
In-Reply-To: <20190510094930.GF1697@HIDDEN> (Jeronimo Pellegrini's
 message of "Fri, 10 May 2019 06:49:31 -0300")
Message-ID: <87imui1ul2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:gWGsoVgi5AIuiJF0MV2Zju4fhjE6ivqjz7mF4DFC+RTGqfiFtSz
 p8+EgxDjsWPKHryrhYU5rWgMk1D9tM5IGlk3ZceIUs5vn+EMBkVLeEhikspMFe3WGi9GCmp
 clv5FFg/JDsfREnolEUCAuoB2l2pXcYAwC7WYfnMeVEOrI4/frohJQAgTudnC+Dkv6f+NbC
 u7nI7N3WTfRIwFZn1dU9Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:eL5+W+0ZQUQ=:fiSYJfIbnJMk8t/pM9C9rm
 kYHdY5g2a8uur+6xJCaVkuDKde7a6F6nj3Myzna/lEWIwP2c4wTtp6OKUoRWOLZpHMiCXAFts
 SeBxeXsCGM2r5XDbz0ThcSrT256jNhDbzXm6hKnXxKUL7DkMK+jE8R2lgggCtXGJizIDyRJvl
 dyZZ7DgKSpF2a2fj8OmSdw0Ajs52eANymJow7O+zO2h/EC1TsDgPoOXDLWpPRYlwK22LuOMDX
 1uw4wljAR119FjlMzG4VkMQd7j1+X/9k1hz0xdhNdD2/h8f5MMUd4An6rs+Brb+S0KGRDYVkK
 zOeOavoIjyuMCEDZz6UpJhI+0CHBFpB2B3VY9zWTIsv7Poj63AY0pPydY176jhPAGbah1/Ci6
 uynaSYv/IiQHXtFKJlc3e9uRHw/fYbONeA4d2GpNeCN6CHRXqgrtqqcMZ/Pxk1SIKr/hEj9fY
 +YF8LGCFe31qc5pgs757ry0b9S3bb4Q5gsgnC/bGHbErWWqKyDI0yAFvvD4k/C8FGNqwRnS0c
 tEU1rwh3fY813WAl1BwW+KDPA5JpXWxt3ln4mgkii0tSyHccrjHJ3MMgZbHaP3zykjqCu2VN/
 HWH5UBETeTji2KkmA905hk8GJiUYtcB9n6P6RAX0KuNvgrY/wBlD0dNjoTbLZz4qWP4fyJ7GQ
 9cQP/zt0WpGLyKLWKpD0oluedRRNhNxmpCbXkISrVqwG01it4qi8X97Wh1u9OfHvx9kq2EFSZ
 5Rqv+VcpsXPS81P3Fg98OE+hkq7dODRC1KSrP9cAUQiFQ7075E66C7DVe2Ao7NfwBSiE8KHS5
 OBjnPHqLrv+YRZH1CNdZMCyI2AJrcsNO0qNHVS/Mdz+KaCzrc1UYaKZ/nxM5E8GCrq4MvuZ7E
 7mdQs1JibUGTGLog0r1FUGp6GA36PL4V0t/sDr9BV1vSxCNyewEMWMO6uFvNjTh/3IMZy/Lg7
 ApuzwoutiYg==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hello Michael,

Hi Jeronimo,

>> > +(defconst tramp-hexdump-awk-coding-test
>> > +  "test -c /dev/zero && \
>> > +busybox hexdump -v -e '16/1 \" %02x\" \"\\n\"' < /dev/null && \
>>
>> This must be "hexdump", not "busybox hexdump".
>
> The original tramp-awk-encode uses "busybux awk". Is there a particular
> reason for that, or could it also be changed to "awk"?

I don't remember exactly, but I believe there was a reason. Likely, a
simple "awk" didn't work, but "busybox awk" did. On whatever test machine.

> and so on, so if busybox is called and argv[0] is "awk" it knows
> the user's intention. So, using "busybox awk" and "busybox hexdump"
> would guarantee that this encoding scheme works on devices where the
> symlinks are not available (I've never seen one actually); on the other
> hand, it would break the encoding method for computers which do have
> awk and hexdump, but no busybox... What do we do? Duplicate the
> functions again?

The awk methods are intended for very leightweighted machines, like
routers or NAS devices. It is expected that they have installed busybox.

According to <https://busybox.net/downloads/BusyBox.html>, "awk",
"hexdump" and "od" are subcommands of busybox. Unfortunately, not all
busybox installations have all subcommands compiled in. For example, on
my NAS device "awk" and "hexdump" are part of busybox, "od" isn't.

=2D-8<---------------cut here---------------start------------->8---
[~] # busybox --help
BusyBox v1.01 (2019.03.22-03:18+0000) multi-call binary

Usage: busybox [function] [arguments]...
   or: [function] [arguments]...

	BusyBox is a multi-call binary that combines many common Unix
	utilities into a single executable.  Most people will create a
	link to busybox for each function they wish to use and BusyBox
	will act like whatever it was invoked as!

Currently defined functions:
	[, addgroup, adduser, ash, awk, basename, bunzip2, busybox,
	bzcat, cat, chgrp, chmod, chown, chroot, chvt, clear, cmp,
	cp, crond, crontab, cut, date, dc, dd, deallocvt, delgroup,
	deluser, df, dirname, dmesg, dos2unix, du, echo, egrep, env,
	expr, false, fdisk, fgrep, find, free, getty, grep, gunzip,
	gzip, halt, head, hexdump, hostname, hwclock, id, ifconfig,
	init, insmod, install, ip, kill, killall, klogd, linuxrc, ln,
	logger, login, ls, lsmod, md5sum, mkdir, mknod, mktemp, modprobe,
	more, mount, mv, nameif, netstat, nslookup, openvt, passwd,
	pidof, ping, ping6, pivot_root, poweroff, ps, pwd, rdate, readlink,
	reboot, renice, reset, rm, rmdir, rmmod, route, sed, sh, sha1sum,
	sleep, sort, strings, swapoff, swapon, switch_root, sync, sysctl,
	syslogd, tail, tar, tee, telnet, test, tftp, time, top, touch,
	tr, traceroute, true, tty, umount, uname, uniq, unix2dos, unzip,
	uptime, usleep, vi, wc, wget, which, whoami, xargs, yes, zcat
=2D-8<---------------cut here---------------end--------------->8---

Maybe, we shall use just a template for the encoding/decoding functions,
and for all busybox subcommands we need a test, whether they can be
invoked via "busybox command" or "command". There will be sevaeral
combinations to test.

> tramp-busybox-od-awk-encode
> tramp-busybox-hexdump-awk-encode
> tramp-busybox-awk-decode
>
> tramp-od-awk-encode
> tramp-hexdump-awk-encode
> tramp-awk-decode
>
> I feel like that would be a too large amount of duplicated code...
> Or is that ok?

No, too much duplicated code. As said above, provide
tramp-od-awk-encode, tramp-hexdump-awk-encode and tramp-awk-decode, and
make intelleigent tests whether "awk", "hexdump" and "od" need to be
prefixed by "busybox".

> Thank you for your patience!
> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 10 May 2019 09:49:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 05:49:46 2019
Received: from localhost ([127.0.0.1]:37176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hP29y-0002ox-I7
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 05:49:46 -0400
Received: from mail.aleph0.info ([66.228.54.186]:55420 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hP29r-0002oY-PZ
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 05:49:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id AE27B42393;
 Fri, 10 May 2019 06:49:33 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557481773; bh=qqjsddUYUJ9lyfDL6MXYZJmU0a+mh+Hb+uam64YSzug=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=Dfnh+mNt5n2rSpmLJ+QKBUTTkF7fp3R+EtUN/pPBA83CSmb1RWpeL20uRRgMcPC2I
 LaFy0mcR0evx1WX4FXym1k+b4Rwb58R0St9qjUW2jboKmIzhf194HuY37DyUfIb76h
 z+N04j148Amugk7heiRVgGLonWFDkzz46Pd6Jhm00YZbiIP7Tie8jCPPzHlFZmxKan
 R+VYI3OVxsqpZ4mBscF/051Yhf4rFqc2VO2VrtFw5ETXG6g8fDDwn8zkzrb1nH2I+v
 t+Xn8pZ8HtD2GsFGzIjD59fPpnF5MmbGPMfmLCJycPBtDzqYsN+UZlk9xpUmTTECG1
 NjXP1j26DuWoA==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id bujMsJWUPaii; Fri, 10 May 2019 06:49:33 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 5B73842391;
 Fri, 10 May 2019 06:49:33 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557481773; bh=qqjsddUYUJ9lyfDL6MXYZJmU0a+mh+Hb+uam64YSzug=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=Dfnh+mNt5n2rSpmLJ+QKBUTTkF7fp3R+EtUN/pPBA83CSmb1RWpeL20uRRgMcPC2I
 LaFy0mcR0evx1WX4FXym1k+b4Rwb58R0St9qjUW2jboKmIzhf194HuY37DyUfIb76h
 z+N04j148Amugk7heiRVgGLonWFDkzz46Pd6Jhm00YZbiIP7Tie8jCPPzHlFZmxKan
 R+VYI3OVxsqpZ4mBscF/051Yhf4rFqc2VO2VrtFw5ETXG6g8fDDwn8zkzrb1nH2I+v
 t+Xn8pZ8HtD2GsFGzIjD59fPpnF5MmbGPMfmLCJycPBtDzqYsN+UZlk9xpUmTTECG1
 NjXP1j26DuWoA==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id 1A22D96D50; Fri, 10 May 2019 06:49:31 -0300 (-03)
Date: Fri, 10 May 2019 06:49:31 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190510094930.GF1697@HIDDEN>
References: <20190508230145.GA1697@HIDDEN> <87d0ksw05q.fsf@HIDDEN>
 <20190509101938.GB1697@HIDDEN> <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <8736lm3dpb.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Michael,
Thank you for your comments!

On Fri, May 10, 2019 at 10:40:00AM +0200, Michael Albinus wrote:
> Jeronimo Pellegrini <j_p@HIDDEN> writes:
> > +(defconst tramp-hexdump-awk-coding-test
> > +  "test -c /dev/zero && \
> > +busybox hexdump -v -e '16/1 \" %02x\" \"\\n\"' < /dev/null && \
> 
> This must be "hexdump", not "busybox hexdump".

The original tramp-awk-encode uses "busybux awk". Is there a particular 
reason for that, or could it also be changed to "awk"?

As far as I can remember, devices with busybox installed will usually
have symlinks for the usual binary names, like

  awk -> busybox,

and so on, so if busybox is called and argv[0] is "awk" it knows
the user's intention. So, using "busybox awk" and "busybox hexdump" 
would guarantee that this encoding scheme works on devices where the 
symlinks are not available (I've never seen one actually); on the other 
hand, it would break the encoding method for computers which do have 
awk and hexdump, but no busybox... What do we do? Duplicate the 
functions again?

tramp-busybox-od-awk-encode
tramp-busybox-hexdump-awk-encode
tramp-busybox-awk-decode

tramp-od-awk-encode
tramp-hexdump-awk-encode
tramp-awk-decode

I feel like that would be a too large amount of duplicated code...
Or is that ok?

Thank you for your patience!
J.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 10 May 2019 09:17:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 05:17:42 2019
Received: from localhost ([127.0.0.1]:37092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hP1ew-0008PC-Jk
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 05:17:42 -0400
Received: from mout.gmx.net ([212.227.17.21]:33461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hP1eu-0008Oz-JF
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 05:17:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557479850;
 bh=j34bWLTF8IawKGquzipcIxiwqtpOK2wt9Hz1mHjZU+c=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=IKjKf67EitL8vGqU/ZDKY6/Br5DLFEeaPjn5GkDUnbuM7vvJ2395cIb/YyVXhx/UX
 MfFPIIOzn8OWJ5PcjPDxaAOeKn8VRXCGLmffVazI09/AkO7MiysrGNgJ5bfF3eVgay
 PuI90Hrm4MTtJVITk+w8sMcAQ/jJ9ne/eaEL/CZY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.238.102]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MD9T7-1hXaEC2SRt-009BQ7; Fri, 10
 May 2019 11:17:29 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN> <m28sve4qzj.fsf@HIDDEN>
Date: Fri, 10 May 2019 11:17:26 +0200
In-Reply-To: <m28sve4qzj.fsf@HIDDEN> (Robert Pluim's message of "Fri, 10
 May 2019 11:07:44 +0200")
Message-ID: <87o94a1xeh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:oPPHW+ieXI3/mMG960XPgKWQV4eGZI4YblBMoUN9syuWsiEIeX6
 XivXpcP/bqAF91z4vWLpJmjJ9ijTxxwu3hqqGrG1ohTCNj8/EJ4xyrIvxu7uAMz+0xpjcRe
 s8K1L1gT3xeopEbHFlkYSEp0cizvqhixaqrXXgkkTavsrrXAAfpgu89zE7dpc182lWUsc60
 86zMb96OnBTzqFHA+hj4A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QUQ59HUFruE=:aCPz3Uwhc64SIPDzQvcd1I
 MlPvuem8WpcBTnC8EdFYd8dZh8BYi49R6FlUuTcH1+amBB5tho/zLIDSHHO39MJi/vrw0arxH
 5lk/rTmwxKPn2ygNtAmmSRhXoVUAPjL1fcZjqvPdk13J/En61QoI0B2hMO3GX0m92Br9nFHWv
 PQcG+XmKfSMSVTAVyaYbZsPWPBW3ML9ElwP94JUhXQBjq79jMwOr58lDWzNRokW1IsfFIetP0
 bteIFrGQnPpLxFCoK+Z2D5Jpsn0hcnMR4sLa4eoCkXDgqbOkGMzDl/PtXYrsRvIon4gvQjVtm
 oDPKMHAXN+K1teAg/4ZgSi47n4bF668hGNNLKUns1Sd73akQ3bS81XD8pQXmLDIXCRETkm2/M
 sfSvDJViZZEWEB61voUnHYyoKe9NsYomSWqCORCjMFvSkRuUFl9WrlhJvbEvGzS4R6FBKCsD/
 +MpQH0liEwV00Pziy22+b9gf5uW1oHoOY6Rt4Ek5OJOXZqK5Sx1k33Z/pYdAxUG0Hjup51fs5
 6/HjRRm0dUOFD/v85A9JoMndpViJ6GITqb3myG50c3hhsRexHQJl6/DdK0lHo2y+w6yae6P4y
 y23E8XUYtIo35R+zAQI6D3JTFPzzQy9wtmCA9V7pQzUbf0e8AesqsiVC65Z4Hq6PvHBkI6iF4
 MP4JBa/964bxcJTQ9uckWpu7h1GAt0nZ6yTHtXvYDEDdTX0hrv0haXQanG2Fxvslur3HMkpV7
 jiCoHoFdd1wLKQxJ3jNVhQdiseHBcUgG2OZQ8MvRaeuJgpzqzDaBis7nTtelO+olASW/FFe7A
 D2e8C9wm+lO3uw9OVlJJXrGJ0LkYGK2OIqw0OSI701G5WD9wuC69pKerdXa/acj8LuljZf0z4
 MmmLFtUWgbq6ZMbyY/bjnjdDdIqBk5YHex8PCSRBsSRiSxrCwFDFL9o9tEvqlH/nPIzf2X94r
 xd04pAo+6Wg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>     Michael> ";; These are painful slow, so we put them on the end."
>
> Since we=CA=BCre nitpicking documentation, it should be "painfully slow"

Thanks! A painful error, indeed :-)

> Robert

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 10 May 2019 09:07:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 05:07:55 2019
Received: from localhost ([127.0.0.1]:37087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hP1VT-0008BA-Jw
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 05:07:55 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:39742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hP1VQ-0008Aw-Ut
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 05:07:53 -0400
Received: by mail-wm1-f42.google.com with SMTP id n25so6542045wmk.4
 for <35639 <at> debbugs.gnu.org>; Fri, 10 May 2019 02:07:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=OuaKzuyX3UpQ0dOymW9arinTVBr1YsUeI7QSLYTcv6g=;
 b=CbwE/loPcg/EddQgzVHJaoezNyY+jHV18c999+XZBMm1VfedNlXSRLIlILaFLJobOR
 wC4TO+J/y/G7tvbt7Arl5kk5oT/Opv/pyfj3vAFcqc28A5v6oDCAinVaFjhsXPlia5t4
 pdqoMwQ2c74ov6TjGDFRtxVTZXAhSwD8lrBFJVp9EpBipHY7RLuZ289Q3YTNxKc9gJTf
 LejxtW4JFwm9wMXSd7SuDYY1dTVcQLSf85Kfmv+8GVJWFAHUIxxYo68xlgxEDLoekgyK
 2K60satvwtXSWKawf34vyJGYmK0ty18CKJf4oQJ/h6TfjiEMH3JOcrNXvgHYkKnjsxGY
 ZvKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=OuaKzuyX3UpQ0dOymW9arinTVBr1YsUeI7QSLYTcv6g=;
 b=dwbOTgpjnMmOz+NBdNtpCXTkeR6EjzNPs2JvXX+kpo3rGtfE0/mFrCcBcL67gYHM3K
 hEEbdNbQUl5slpMLFr7oXt9kSKSbef5ljkc+BAZy0ksNS4vIaSsATbQiBe7RtovW/S+a
 uxhchFHYTAEZRNs2HWsCFP4x/in68DSKEr60nsMphTBqQVh3+xt+/nPVsDz4QUCw5MNV
 HhPwjxyQWRAu7meg30i/HC4XrkqV13gV56ZHxXIj2MvboqZD5pyXciTOUvDh14GZRt4+
 tCf5Z+SXlDmijdC3yL1nupmDH6HUKvv9sFZLDAzZbbjFjjVTgtXK1BgdchlRVyRHbdAn
 TawQ==
X-Gm-Message-State: APjAAAW5Yx/WEwCl5zl7wpxdhv9Un3Dcw02+NFLlCVALSc4GFqBlhspk
 /LtNo4JCodwGZvwnn8T/9BbAK5BS
X-Google-Smtp-Source: APXvYqxXsZtGOe3gNHlFeIDIBLOfVzCoEHy3sF5ieWNHOIjjBtjOWuqo8mi7Z4IUeH1dD3b1uKipvg==
X-Received: by 2002:a1c:cf4c:: with SMTP id f73mr946426wmg.118.1557479266719; 
 Fri, 10 May 2019 02:07:46 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id n17sm3998414wrw.77.2019.05.10.02.07.45
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 10 May 2019 02:07:45 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
 <8736lm3dpb.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 10 May 2019 11:07:44 +0200
In-Reply-To: <8736lm3dpb.fsf@HIDDEN> (Michael Albinus's message of "Fri, 10
 May 2019 10:40:00 +0200")
Message-ID: <m28sve4qzj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 10 May 2019 10:40:00 +0200, Michael Albinus <michael.albinus@=
gmx.de> said:
    >> + ;; These is painful slow, so we put it on the end.

    Michael> ";; These are painful slow, so we put them on the end."

Since we=CA=BCre nitpicking documentation, it should be "painfully slow"

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.
Merged 35473 35639. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 10 May 2019 08:40:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 04:40:17 2019
Received: from localhost ([127.0.0.1]:37054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hP14j-0003Lc-8x
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 04:40:17 -0400
Received: from mout.gmx.net ([212.227.15.15]:42589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hP14f-0003LH-8a
 for 35639 <at> debbugs.gnu.org; Fri, 10 May 2019 04:40:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557477603;
 bh=v8nZ+vW4YDKNgV+gBoCtboTsb7C3fiaPUW1MkngC9TU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=AelVOZWl4SPD6Z0OV5CaChYWr1edMeooEzuxGAA/1ev0OLmiuguD/U6FVFTcRpBbV
 0/2jKWIMBeOvsnHhFIeYxug07NqZ3JR54elyPJoX+OFtHNn5qkpmty/a/efCzScxm+
 eJ17l7TTH0zp3/yrHLyTKZUlSV38JMC3530ilPpU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.238.102]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MXI5V-1hASrG0r6j-00WBI9; Fri, 10
 May 2019 10:40:03 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN> <20190509201129.GE1697@HIDDEN>
Date: Fri, 10 May 2019 10:40:00 +0200
In-Reply-To: <20190509201129.GE1697@HIDDEN> (Jeronimo Pellegrini's
 message of "Thu, 9 May 2019 17:11:29 -0300")
Message-ID: <8736lm3dpb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:n4YSWAsSjKrMUsA2iXb0r+mZndWRY514gW3porK39ATgFJ/9D0x
 wkXGTXftUdQ12l/XUO+BsJ/Rh6IA3qJ24dTFzrSpR6yGrXPuPdlOnRJzGz6zZQ/O+GZlEkG
 qAZ5I08ReSaAF+Hw/eH0Nwqi9Ct1aDecXLvqA3yjhWRsCyKnEpaJ6kPFi5wy23W4+Mn4g9e
 K9u/nV7jIjquIF8L6VJvg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Feae5tbbnXs=:ml2zdHW0PBhVVRZr75qAAJ
 b732Cy7slE8P1gWVUo+KYPpzbFoPn7WvUys+m5I+sLMBroAal/jtZzOaduErjPKVSuCXJW8F/
 i9gooMzcZLaSz7csQqo4yf+8cEI4V8QrgBWQEsrrUIZjggx77IH67w3KzeBF2bm9vKPfF0g79
 ZKCC0ow8EVLtnstaWPb1guTXCECu9Qe5XIIzRRIp0HJFBFPk52DohWpuLgMJWltmyIgwP/3GU
 RhBZqmLF/R4sloOLlHvlMuhKX35ebiXk/opGZmFqLKsBakvN3GX6D+BdhNfpmxRJ4hhgw5qJr
 FbRRzyUZwdT3AKq8Bj9pNhukteCZ8KLuU8OE9sh0Yn88t3KItTNgfRePJQbazjqsGX3oTvku3
 uLO+LXMOpgnQm1sE6JMqPqXn4gXPtng+bAEt33qvDd7l4HRImmuFEdGZNzunc51sifRtKrDKm
 P+TjxYwONS+xXHkctXfKQz8R5LkFFI+otj+fDZVmZqgwmvblvXf85pX7cJF1KxneKZdpUlxes
 ig1Am5okA9IqUc4l3z3iwbJrfwNmUHUDE0xgUqO2SvpPuMjkddalJjKqLpG31SPeoVNTTYwpV
 MHqaPZOC7rA5j2FeOG72aZUIDlIiePwzgdau5CfILp+d0iyQoxrAEjMYDB/mQascxGCB15bip
 3zvFyUFjeTDc1VR8lCGUF08d4JeHcSAk+mmGkELPjJBd3f5P3cqZ9H9w3eB6jhJCEiyKTHjS9
 2SgwDSFl9WwnywBJCaL2dM2LZTm4xHhCzDwZ2/YnG9ze5SYcH/pYkjYuxelbfsJrFmCeRVUP8
 1QQzF3E8JErOGnXXysMFGH1xStmmeKUjLCPudblc8cntsPRq9LV6QMyOdVD5TbtmeGUJfukMv
 G/13k1fGP64iScJYwaU9Wf2hN+dBnTK8uG4avEmYa7PKIYVJW7PJe9+6IO31+uAc3TvD3rfO3
 r9vGuGGThfw==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hi Michael,

Hi Jeronimo,

>> > Okay, I have it ready. Do I attach it here in the bug report?
>>
>> Yes, pls do.
>
> All right, here it is!

Thanks.

> I'm not sure I like the changes to the manual. Do you think it is
> OK?

Yes. See my comments, all of them are minor.

> --- a/doc/misc/tramp.texi
> +++ b/doc/misc/tramp.texi

> +@item @command{perl} or @command{perl5}(if the  @command{MIME::Base64} =
module is available, it will be used)

Use a space between "{perl5}" and "(if". Care about 80 chars per line
limitation.

> +but other methods may still be used. If @command{grep} is available, it=
 is
> +also used, in order to improve performance.

That's an error in the manual, gzip is meant. Pls correct.

> --- a/lisp/net/tramp-sh.el
> +++ b/lisp/net/tramp-sh.el

> +(defconst tramp-hexdump-awk-coding-test
> +  "test -c /dev/zero && \
> +busybox hexdump -v -e '16/1 \" %02x\" \"\\n\"' < /dev/null && \

This must be "hexdump", not "busybox hexdump".

> +  "Test command for checking `tramp-hexdump-awk-encode' and `tramp-awk-=
decode'.")

Care about 80 chars per line limitation.

>  	   ;; Oops, I don't know what to do.
>  	   (t (tramp-error
> -	       v 'file-error "Wrong method specification for `%s'" method)))
> +	       v 'file-error (concat "Cannot find any way to encode data using=
 `%s'"
> +                                     "-- check tramp-remote-path, and a=
lso "
> +                                     "verify encoding binaries on the r=
emote end.")
> +               method)))

This error message is too long, I believe. Just the first part "Cannot
find ... using "%s" should serve.

> +    ;; These is painful slow, so we put it on the end.

";; These are painful slow, so we put them on the end."

> +    (b64 tramp-hexdump-awk-encode tramp-awk-decode ,tramp-hexdump-awk-c=
oding-test)

Care about 80 chars per line limitation.

> Thank you!
> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 20:11:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 16:11:41 2019
Received: from localhost ([127.0.0.1]:36539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOpOH-0008VC-Bi
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 16:11:41 -0400
Received: from mail.aleph0.info ([66.228.54.186]:55416 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hOpOE-0008Uy-IV
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 16:11:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id D312F42390;
 Thu,  9 May 2019 17:11:32 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557432692; bh=9Na/GVefT/LHcYkN8a+e5e+YmwdPqlEY5qn/SNPjlEU=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=L9dIU/5gOcwedCXJwnsGLvx2rueMdrA2PgE3LyYJVqETEaSS09lk1J+k3h2LfRHCs
 t0qEJHzun4rGSkOQcCXsOMohHi8iR/cdy0AoDZFUVLYPEyqjwnbl4X274BaYodvGRV
 QTesAuea1y0bilHGoltxhiY+yj7QDiOGeqQBv5uw75QWrAW7DC08mpdfiaPZ9iTVtt
 iSFOv5SMunLbmzsjy0qV+a3T4Nw3lI1rXCkQauKsdADAJYqoMr08rxHNGwdJDZBvx7
 vfHjmiV2aTem6ZEveJdCsf5+v5IW0UJCZxIboH63x/IC95WovvawVecgKP7Vcnc7Tb
 A+MYU3jmna0xg==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id JstP_13nwoYC; Thu,  9 May 2019 17:11:32 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 81A1642375;
 Thu,  9 May 2019 17:11:32 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557432692; bh=9Na/GVefT/LHcYkN8a+e5e+YmwdPqlEY5qn/SNPjlEU=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=L9dIU/5gOcwedCXJwnsGLvx2rueMdrA2PgE3LyYJVqETEaSS09lk1J+k3h2LfRHCs
 t0qEJHzun4rGSkOQcCXsOMohHi8iR/cdy0AoDZFUVLYPEyqjwnbl4X274BaYodvGRV
 QTesAuea1y0bilHGoltxhiY+yj7QDiOGeqQBv5uw75QWrAW7DC08mpdfiaPZ9iTVtt
 iSFOv5SMunLbmzsjy0qV+a3T4Nw3lI1rXCkQauKsdADAJYqoMr08rxHNGwdJDZBvx7
 vfHjmiV2aTem6ZEveJdCsf5+v5IW0UJCZxIboH63x/IC95WovvawVecgKP7Vcnc7Tb
 A+MYU3jmna0xg==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id 171D5969C8; Thu,  9 May 2019 17:11:29 -0300 (-03)
Date: Thu, 9 May 2019 17:11:29 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190509201129.GE1697@HIDDEN>
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
 <87bm0b2y6t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="7JfCtLOvnd9MIVvH"
Content-Disposition: inline
In-Reply-To: <87bm0b2y6t.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--7JfCtLOvnd9MIVvH
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Hi Michael,

On Thu, May 09, 2019 at 10:02:50PM +0200, Michael Albinus wrote:
> Jeronimo Pellegrini <j_p@HIDDEN> writes:
> > Okay, I have it ready. Do I attach it here in the bug report?
> 
> Yes, pls do.

All right, here it is!

I'm not sure I like the changes to the manual. Do you think it is
OK?

Thank you!
J.

--7JfCtLOvnd9MIVvH
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="tramp-use-hexdump.diff"

diff --git a/doc/misc/tramp.texi b/doc/misc/tramp.texi
index 2eb5b45eb2..7bbf1f1771 100644
--- a/doc/misc/tramp.texi
+++ b/doc/misc/tramp.texi
@@ -1960,16 +1960,30 @@ Remote programs
 @section How @value{tramp} finds and uses programs on the remote host
 
 @value{tramp} requires access to and rights to several commands on
-remote hosts: @command{ls}, @command{test}, @command{find} and
+remote hosts: at least @command{ls}, @command{test}, @command{find} and
 @command{cat}.
 
+For inline methods, at least one of the following should be available:
+
+@itemize @bullet
+@item @command{base64}
+@item @command{openssl}
+@item @command{mimencode}
+@item @command{mmencode}
+@item @command{recode}
+@item @command{perl} or @command{perl5}(if the  @command{MIME::Base64} module is available, it will be used)
+@item @command{od} and @command{busybox awk}
+@item @command{hexdump} and @command{busybox awk}
+@item @command{uuencode} and @command{uudecode}
+@end itemize
+
+If none of these are available, @value{tramp} will not work with inline methods,
+but other methods may still be used. If @command{grep} is available, it is
+also used, in order to improve performance.
+
 Besides there are other required programs for @ref{Inline methods} and
 @ref{External methods} of connection.
 
-To improve performance and accuracy of remote file access,
-@value{tramp} uses @command{perl} (or @command{perl5}) and
-@command{grep} when available.
-
 @defopt tramp-remote-path
 @code{tramp-remote-path} specifies which remote directory paths
 @value{tramp} can search for @ref{Remote programs}.
diff --git a/lisp/net/tramp-sh.el b/lisp/net/tramp-sh.el
index b9df403309..7a1d4ca638 100644
--- a/lisp/net/tramp-sh.el
+++ b/lisp/net/tramp-sh.el
@@ -850,7 +850,41 @@ tramp-perl-unpack
   "Perl program to use for decoding a file.
 Escape sequence %s is replaced with name of Perl binary.")
 
-(defconst tramp-awk-encode
+(defconst tramp-hexdump-awk-encode
+  "hexdump -v -e '16/1 \" %%02x\" \"\\n\"' | busybox awk '\\
+BEGIN {
+  b64 = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\"
+  b16 = \"0123456789abcdef\"
+}
+{
+  for (c=1; c<=length($0); c++) {
+    d=index(b16, substr($0,c,1))
+    if (d--) {
+      for (b=1; b<=4; b++) {
+        o=o*2+int(d/8); d=(d*2)%%16
+        if (++obc==6) {
+          printf substr(b64,o+1,1)
+          if (++rc>75) { printf \"\\n\"; rc=0 }
+          obc=0; o=0
+        }
+      }
+    }
+  }
+}
+END {
+  if (obc) {
+    tail=(obc==2) ? \"==\\n\" : \"=\\n\"
+    while (obc++<6) { o=o*2 }
+    printf \"%%c\", substr(b64,o+1,1)
+  } else {
+    tail=\"\\n\"
+  }
+  printf tail
+}'"
+  "Awk/hexdump program to use for encoding a file.
+This string is passed to `format', so percent characters need to be doubled.")
+
+(defconst tramp-od-awk-encode
   "od -v -t x1 -A n | busybox awk '\\
 BEGIN {
   b64 = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\"
@@ -881,7 +915,7 @@ tramp-awk-encode
   }
   printf tail
 }'"
-  "Awk program to use for encoding a file.
+  "Awk/od program to use for encoding a file.
 This string is passed to `format', so percent characters need to be doubled.")
 
 (defconst tramp-awk-decode
@@ -910,11 +944,18 @@ tramp-awk-decode
   "Awk program to use for decoding a file.
 This string is passed to `format', so percent characters need to be doubled.")
 
-(defconst tramp-awk-coding-test
+
+(defconst tramp-hexdump-awk-coding-test
+  "test -c /dev/zero && \
+busybox hexdump -v -e '16/1 \" %02x\" \"\\n\"' < /dev/null && \
+busybox awk '{}' </dev/null"
+  "Test command for checking `tramp-hexdump-awk-encode' and `tramp-awk-decode'.")
+
+(defconst tramp-od-awk-coding-test
   "test -c /dev/zero && \
 od -v -t x1 -A n </dev/null && \
 busybox awk '{}' </dev/null"
-  "Test command for checking `tramp-awk-encode' and `tramp-awk-decode'.")
+  "Test command for checking `tramp-od-awk-encode' and `tramp-awk-decode'.")
 
 (defconst tramp-vc-registered-read-file-names
   "echo \"(\"
@@ -3167,7 +3208,10 @@ tramp-sh-handle-file-local-copy
 
 	   ;; Oops, I don't know what to do.
 	   (t (tramp-error
-	       v 'file-error "Wrong method specification for `%s'" method)))
+	       v 'file-error (concat "Cannot find any way to encode data using `%s'"
+                                     "-- check tramp-remote-path, and also "
+                                     "verify encoding binaries on the remote end.")
+               method)))
 
 	;; Error handling.
 	((error quit)
@@ -4370,8 +4414,9 @@ tramp-remote-coding-commands
     (b64 "recode data..base64" "recode base64..data")
     (b64 tramp-perl-encode-with-module tramp-perl-decode-with-module)
     (b64 tramp-perl-encode tramp-perl-decode)
-    ;; This is painful slow, so we put it on the end.
-    (b64 tramp-awk-encode tramp-awk-decode ,tramp-awk-coding-test)
+    ;; These is painful slow, so we put it on the end.
+    (b64 tramp-od-awk-encode tramp-awk-decode ,tramp-od-awk-coding-test)
+    (b64 tramp-hexdump-awk-encode tramp-awk-decode ,tramp-hexdump-awk-coding-test)
     (uu  "uuencode xxx" "uudecode -o /dev/stdout" "test -c /dev/stdout")
     (uu  "uuencode xxx" "uudecode -o -")
     (uu  "uuencode xxx" "uudecode -p")

--7JfCtLOvnd9MIVvH--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 20:03:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 16:03:06 2019
Received: from localhost ([127.0.0.1]:36521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOpFy-0008J6-2N
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 16:03:06 -0400
Received: from mout.gmx.net ([212.227.15.19]:55121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hOpFw-0008Ib-Dp
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 16:03:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557432173;
 bh=xMNKHR5xOZ/UeJTPFgGJFhJx0Q+3zvXvbceocIfHme4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=KHULDq/aewlPgedMjwIweG3kNegwek+DaUVZrfYqBnV5LrHJF5mI3P4oQTQvjREc+
 vlcp3U91ybXPx+D4g6P9HZd0FZrCv+ztm8b4ZVtAwPlKd8CS2VBPtVRxOiVxuxNsPu
 woPF+0pJE7TNkeYUkYlFIaZCuINarz+/rIYphQGs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([178.20.95.22]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MZTbR-1h8foG2FCv-00LBce; Thu, 09
 May 2019 22:02:53 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN> <20190509195218.GD1697@HIDDEN>
Date: Thu, 09 May 2019 22:02:50 +0200
In-Reply-To: <20190509195218.GD1697@HIDDEN> (Jeronimo Pellegrini's
 message of "Thu, 9 May 2019 16:52:19 -0300")
Message-ID: <87bm0b2y6t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:kfFEaOOWVfQeVT3qcf6UDM3MS7+B7ifMeG2sUslQ5z8N3dHs4Uz
 vvqrNyyqmU2h6uNy/k6bsVu7ddk0/E8Y5oAgcrTd7kcknvfPV6sxD2VpZ/dPWoe7A+NKos7
 k1VfXf5wD+0oYJ3uhbJkVCKqD/0bNvV5JGQQ6XzTRzhtTBaQAbm2zm5Nbsox6G6CqGjPsYM
 /kCaGq6+5+CGSTFC6a/Og==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:XYaE4CtiuLI=:uWZBdnbIKJIXYdzgT3dI8C
 VFJzERa7N/E8J5jiCyp9O3+l9ErH4E9wrcmpQEVLqDC2YBtOrr2BUe9z1EzKQ48kecgnWq3AF
 7IUeA3rB2DkIKG7Wr7iozgmeMFRqMFkSSXJUcL5iJyQTAYqdelEql+9kdHL1RfBtulJMKSyJU
 crDC/aBQHbe13Q3RkNci5Cm4JLi9TOqVxvFKdsjX9zlgxozSR+r9E//ql1QPO50EDAXIGXjX/
 +JE4D06L8jRqjoo6Mbcu/36fEzGdoCqFcKYznoNDWROquSUJCKBf+rHwDUBx+0KcZuUnK/z2O
 ja4WnnLmZz2ylptohEGMPbfoNB7yoPJZdgKGRbPaVer0igTZDMr7mu5STHySxoINwi0z39JbB
 5V+azFcrACMe9PKkE4g4nt7tSVe/3+hgx9CM9j92M5BUB+Gu2nBv1wmkq8wasMNj2cxJguXh8
 z0M+HXNF/TvAwd9oqfOgtEg3XcgyJ6GR2XucdaXe1S9zT3j+kKk31EpctRv/zV70nghgrJvCa
 HKdHJJt1qqUFDTBUVG82aXmcnMYth9lXbzp0JVbfGNB4+LvGsYvApkUDbpAlxXuAEcDUhphR/
 bg6fYqB5qjJhrBixVR39AmlI4y0lcDdfPMxAXEbSHlGkkJNuODfeOlU9WOAh5xsJnQk8YAHJl
 C4aP3UVARB5ZDgebFHlbd4n399pw+14bfUHl1HN08PUIPNYj0NhHHwUGFONFW+9yRBwE90Ywg
 FA3yFeLP6sbnOurjdtVUy4sgPt/6nBXztnC3JsWRwExtISnEzzIcZ+dvHgoLuNs/bn2bryLDc
 k4WjedNUbOp6YwEJIBzDtt3Gk+LvgBBuhXpOTNGgQwybHfUFMQfpxaY3yZSF7MhuZcD1/Qmpt
 M+3t93Say1KHv6JliWiqXbyar0dsykyMdHM23TIw6srd95Me+bHInWFN8ZE+IpsR69+VzzQU9
 HzZxQsYorOg==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hi,

Hi Jeronimo,

> On Thu, May 09, 2019 at 02:45:48PM +0200, Michael Albinus wrote:
>> Jeronimo Pellegrini <j_p@HIDDEN> writes:
>> > The documentation change in the same patch?
>>
>> Yes, it belongs together.
>
> Okay, I have it ready. Do I attach it here in the bug report?

Yes, pls do.

> And I suppose the patch stays on hold until I finish the
> FSF assignment process -- is that right?

Yes. Unless it is less than 15 changed lines, than we could apply
immediately. Your FSF assignment will help in the future anyway.

> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 19:52:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 15:52:30 2019
Received: from localhost ([127.0.0.1]:36507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOp5i-0005xA-HG
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 15:52:30 -0400
Received: from mail.aleph0.info ([66.228.54.186]:54736 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hOp5f-0005wq-7B
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 15:52:27 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id B9C4142390;
 Thu,  9 May 2019 16:52:21 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557431541; bh=wC5AEhNaQ1JDS4N7mQz6jRpRCx9+4ODa6WOFfIs2Rho=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=pZ6cy4VEl55MEEasl6kvD4xk0RbGx86hUtt3Y5A8wNiJycXoAEGdodhbBVoEI8UmU
 YMwP3rExBpOGkjIAyc3ANxBSJNyIidtCBJkKPR3lFhJklDdCXieDotSEFaec5w4KBv
 g+pR+OXe5SQy/iFBadMWY8zhnyAZgucvi0zDgAPtoIuZtBTECxNFYREVKTufzdCMcb
 /Jq/V4nNz2HjXz+HpqQZmKVO7xFLp8nfNQ2spxwk1GKKXkxVyfTp9MENZQHhnW+nFQ
 r0OTlAIECoPYvGGfLzQLpRo54rnwZULEgiYJRSg4McZf9KJAoVH3on5mP+7LzmEbym
 RUUYbjwOhy3Hg==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id 8oEUFtb9q9EF; Thu,  9 May 2019 16:52:21 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 6C2B342375;
 Thu,  9 May 2019 16:52:21 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557431541; bh=wC5AEhNaQ1JDS4N7mQz6jRpRCx9+4ODa6WOFfIs2Rho=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=pZ6cy4VEl55MEEasl6kvD4xk0RbGx86hUtt3Y5A8wNiJycXoAEGdodhbBVoEI8UmU
 YMwP3rExBpOGkjIAyc3ANxBSJNyIidtCBJkKPR3lFhJklDdCXieDotSEFaec5w4KBv
 g+pR+OXe5SQy/iFBadMWY8zhnyAZgucvi0zDgAPtoIuZtBTECxNFYREVKTufzdCMcb
 /Jq/V4nNz2HjXz+HpqQZmKVO7xFLp8nfNQ2spxwk1GKKXkxVyfTp9MENZQHhnW+nFQ
 r0OTlAIECoPYvGGfLzQLpRo54rnwZULEgiYJRSg4McZf9KJAoVH3on5mP+7LzmEbym
 RUUYbjwOhy3Hg==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id 286AE969AC; Thu,  9 May 2019 16:52:19 -0300 (-03)
Date: Thu, 9 May 2019 16:52:19 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190509195218.GD1697@HIDDEN>
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
 <87pnoru77n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87pnoru77n.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Thu, May 09, 2019 at 02:45:48PM +0200, Michael Albinus wrote:
> Jeronimo Pellegrini <j_p@HIDDEN> writes:
> > The documentation change in the same patch?
> 
> Yes, it belongs together.

Okay, I have it ready. Do I attach it here in the bug report?

And I suppose the patch stays on hold until I finish the
FSF assignment process -- is that right?

J.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 12:46:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 08:46:02 2019
Received: from localhost ([127.0.0.1]:34936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOiR0-0001OH-Ke
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 08:46:02 -0400
Received: from mout.gmx.net ([212.227.17.20]:46633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hOiQy-0001Ne-NM
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 08:46:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557405950;
 bh=31mcjjwnkjdnvmV4uABYgzmVi5UzdUUMG3lbsVvBFlU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=fzCuOzYKUxlB2QN1vXRHzDrz1jAc2wu8fMcCzKcUyShnjO0OIDPyFboRA9xmt8FVc
 0cw5Cr2WND0JcwYeeLxJKOqUnWZw6SdYW6TcWZzDhfApGcKH1JZL1zKULr08WD+KhI
 x5qmafpph5gtsiBI7ZYYdv1cCBVIcU8+zA0VU/cs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([178.20.95.22]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MgbvP-1h2XF32tV9-00NwVE; Thu, 09
 May 2019 14:45:50 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
 <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
Date: Thu, 09 May 2019 14:45:48 +0200
In-Reply-To: <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN> (Jeronimo
 Pellegrini's message of "Thu, 09 May 2019 09:37:14 -0300")
Message-ID: <87pnoru77n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:u70KgOejseXM5SKp7/98zKTYi14S0JONu3mxtINJaOupaa5iPz4
 eqeRlz8giFIN1+HO2dKpWCxW/5wVi0Q5snXiKNkw6+S+JABTNeBUEs/RxrFmQ7K9ul9c83Y
 AiC+8+uzfKyHHaUHkIkfFmFzMfpgn7bz/SMVLkdktFxQJSnPLUEZroq5LjG19KHQKshOhKa
 pdbnsju5hzKfyou75keVA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:TUd9VNg/lzY=:mKqILzvODGXeEyhBA0kLZP
 3Jhc6NMNWpwz3PLbbexMVjVyZ/qgl4Zl/wBVxVHyzFe+MN5lyAXNfxJ2qyVQVFOQUU17oXDnr
 zSQLPuZCfENz5uwEb1LhEJx1lERokj6FwUfqVV2GHOh3O1q/fJa8Yam6Eq4GXylVBZdadrj8S
 kdTGDgZscr9msp097AFRU5D74AnJVEHpjqlv6StYOCHUZpX722lgRB0gSkXeal8Jcsi/FMZ0I
 +4WOj1wmTXLgCKriwQM/1WUg5ve0YhBD/gNVxseK5+IjMxYb8Hd/onTGaEKPeWfjhK3hJBfxK
 frs6+j0wPTbdEueUw2xsbqqdmX3WkjbjFsmKZiAvj5U5YNmE1eDwsCRVAmdJOTejY+sA64k0R
 SXe1R9gjxJ6OU4VNUK6YXj5P72KQw9aqqUAFleT2LHxsTMVnJs5gOyTSOSBqsQ5WGpv0MOdoN
 aH3NyNirpBkaimPNeibOW9J/2DRRn8beDT4bZiVx8lh1Vrf9H5ZtyK4fbSPN4ofh7b27Zs/TR
 x7WeZ0OMfwvQsgJVPJEooAIcEBM4IaHIGMRGWWXZ+pHhqwukmiQ/7J5xLQzR1kQM+uRcT9MxQ
 4eoSV4tflIczitPga3tFp1L42IDyc0kO/3iv18vHzvptiXPmzlHlbwIuSErHDmjMzfwZnd2d/
 LzCr3AkABm3laA+Bk4GK6wbhuYdxc6oROG04UU+1/noXA1i7DbKIxYHZFRRtqh7c0gWXi4sI4
 44T8lT35jcS+CYyoSNqXKfsl/DQG4aA3Dt7XrIt7j9vSCiEsE8lJQ7DcLEYjxxtMA4V+GKsBM
 L1Q7OfEgaIMbAQ6KRopQlPXZcb11EVBeJd3Qk+4tPhl3LbQ+hoRWOzlZNyY45ONXpL9+zby8P
 6JzRCNaDxG1S4mPE+fVQDf+neMTCXJcO5MZ1N+8eg9sjzvVi8bwiY+OZu9Bke/SfTp3MnYRRS
 k9pwzLQ6roQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hello again!

Hi Jeronimo,

>>Yes, something like this. Do you want to prepare such a patch (which
>>should also include the tramp.texi changes)?
>
> Sure!
>
> The documentation change in the same patch?

Yes, it belongs together.

>>Hmm, looks like this could extend the 15 lines limit, which is the
>>upper
>>limit for contributions to Emacs/Tramp, w/o having signed the FSF legal
>>papers (where you declare the copyright of your work be given to the
>>FSF). Would you like to sign such a paper? It would help also for
>>future
>>contributions to Emacs or one of its packages.
>
> Yes, of course! How do I do that?

I'll send you the papers off-list. In the meantime, you can read about
at <https://www.gnu.org/prep/maintain/html_node/Copyright-Papers.html>.

> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 12:37:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 08:37:28 2019
Received: from localhost ([127.0.0.1]:34926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOiIi-0001Bk-L9
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 08:37:28 -0400
Received: from mail.aleph0.info ([66.228.54.186]:40812 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hOiIg-0001BX-1n
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 08:37:27 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id C9BDC42390;
 Thu,  9 May 2019 09:37:19 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557405439; bh=DQdZK/ma1Jl8gkTB6IK5f5g3s2h1VRUR0NYfF0Bpvo0=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=ljpygtqAHg6Z3rOcCGmhEgGm5d2ZGuTP+KO8LONP9Gcga58hQ0b4WzXXiuolm4Xu5
 IfgVO20upu1++DU3uUAUbLxIQAmZgMgZ3XHQoI0Ox5TY1VHj/oZhr4WB9nut94Nq3V
 66O6mXZsvBWbfMJ+Acm/fY33CSpXKlCYO2l1l9FlrvA/VL0r31awGII0lxDXuL3IU7
 HQY+HRY8XO8Ud2+96Sp2qJUUbfHzucHKG+yL6d2nELQSSM7/M1s9O00Uc1njNUWWIn
 xkZmW9UWkNvFW2b9y6Usm7fOEMOvmQJYqpMJ/V2zc63q0Ndr0f26tbxdR8sJgbXuGa
 09ForRdWpGdQg==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id fF2bC6qFj8ge; Thu,  9 May 2019 09:37:19 -0300 (-03)
Received: from [100.74.166.41] (unknown [177.79.12.247])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id EACE342375;
 Thu,  9 May 2019 09:37:18 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557405439; bh=DQdZK/ma1Jl8gkTB6IK5f5g3s2h1VRUR0NYfF0Bpvo0=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=ljpygtqAHg6Z3rOcCGmhEgGm5d2ZGuTP+KO8LONP9Gcga58hQ0b4WzXXiuolm4Xu5
 IfgVO20upu1++DU3uUAUbLxIQAmZgMgZ3XHQoI0Ox5TY1VHj/oZhr4WB9nut94Nq3V
 66O6mXZsvBWbfMJ+Acm/fY33CSpXKlCYO2l1l9FlrvA/VL0r31awGII0lxDXuL3IU7
 HQY+HRY8XO8Ud2+96Sp2qJUUbfHzucHKG+yL6d2nELQSSM7/M1s9O00Uc1njNUWWIn
 xkZmW9UWkNvFW2b9y6Usm7fOEMOvmQJYqpMJ/V2zc63q0Ndr0f26tbxdR8sJgbXuGa
 09ForRdWpGdQg==
Date: Thu, 09 May 2019 09:37:14 -0300
User-Agent: K-9 Mail for Android
In-Reply-To: <8736lnx27g.fsf@HIDDEN>
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
 <8736lnx27g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
To: Michael Albinus <michael.albinus@HIDDEN>
From: Jeronimo Pellegrini <j_p@HIDDEN>
Message-ID: <1A3C3BED-4CEF-41AC-B82F-EBA7AC614E18@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello again!

On May 9, 2019 9:05:39 AM GMT-03:00, Michael Albinus <michael=2Ealbinus@gm=
x=2Ede> wrote:
>Jeronimo Pellegrini <j_p@aleph0=2Einfo> writes:
>
>> However=2E=2E=2E hexdump may not be present in all Linux/*BSD/*ix syste=
ms=2E
>> At least in Debian, it is in package bsdmainutils, which is
>> not required=2E (od, on the other hand, is in package coreutils, which
>> is required)
>
>See, how we do it with the other programs: we test one after the other,
>until it succeeds=2E So it is perfect to have a second entry for awk in
>tramp-remote-coding-commands=2E

Good then, it'll be simple=2E

>Well, decoding does not use od=2E So it might be sufficient to have
>
>tramp-od-awk-coding-test
>tramp-od-awk-encode
>tramp-hexdump-awk-coding-test
>tramp-hexdump-awk-encode
>tramp-awk-decode}

Ah, all right=2E

>> Perhaps
>>
>> (tramp-error v 'file-error "Cannot find any way to encode data using
>> `%s'" method)
>>
>> would be more precise?
>>
>> Or, if (tramp-local-host-p v) (tramp-method-out-of-band-p v size) are
>> false, explicitly write that "encoding binaries were not found on the
>> remote end"?
>
>Yes, something like this=2E Do you want to prepare such a patch (which
>should also include the tramp=2Etexi changes)?

Sure!

The documentation change in the same patch?

>Hmm, looks like this could extend the 15 lines limit, which is the
>upper
>limit for contributions to Emacs/Tramp, w/o having signed the FSF legal
>papers (where you declare the copyright of your work be given to the
>FSF)=2E Would you like to sign such a paper? It would help also for
>future
>contributions to Emacs or one of its packages=2E

Yes, of course! How do I do that?

J=2E

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 12:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 08:05:58 2019
Received: from localhost ([127.0.0.1]:34858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOhoE-0006mX-0w
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 08:05:58 -0400
Received: from mout.gmx.net ([212.227.17.21]:52671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hOho8-0006mC-QC
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 08:05:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557403542;
 bh=ff5UxDLs0dbSkWVdmjXtk30HKbB+m9gVyGvYaZlsorc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=QnY6NfdsFGl/aCXuV3h4iBqfwEO+15gGrjHvsbSBUezCN8K/HwMX2yAFexGfCKis1
 VmEBSWtJsct6lpBpFtXfvHKlErsmuCKBzX4i8LcdnMozp+R6vFHoYQHQaQhn0fH4eb
 5V6VkqHQQp1eY52xmuY+t5RY3Xdwfx0qY/M1E80E=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([178.20.95.22]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MMGWH-1hLfOi3Bvx-0080BB; Thu, 09
 May 2019 14:05:41 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN> <20190509101938.GB1697@HIDDEN>
Date: Thu, 09 May 2019 14:05:39 +0200
In-Reply-To: <20190509101938.GB1697@HIDDEN> (Jeronimo Pellegrini's
 message of "Thu, 9 May 2019 07:19:39 -0300")
Message-ID: <8736lnx27g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:TGZdhbizpCDdtEo/d5H2VQLzvG5NZm+LYDSZrgIxGGWm5DJDeFX
 ELX1cXfFkaW3NhHTDaBj7wxZe5ZDYgG+tD3J9h9guvhWSZvSQYzxpdkmFScmLh9FyfloqYV
 Ka+fSAMt9/1P0JjiDW2PkuZpdVMIiDDMBPpdreO+iN4KyaJZqUo3e+NXpOnUXBH6Nw7rwtH
 9ub708o2DmtzvQmT6XJVg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ioFa9y12lfk=:YBZvpXWtbHkssSEr4bl/f5
 0C/ODnphv/S3HIPoP+r7AQsbFeGrfLSKrqz5l1LUwlKx5sgqTX5ok3PoHgKmgvtkUyUqhZppP
 KbZIharWYa75JNhaj8CItRhgnp1uIzFaRnAO5p0UikzaauPnMtkLX0k5kN3almhnLvpvb3MtC
 SD/1hIJdeBCAMR/EMGc5SaChzNWlxPnA2BckpJyLCIY3rq8f0eDmza+jfx4kWdKvQvqQC0McS
 evgT1KZQ/sz3p006jdMVdJH9vfKy+K24LavkMjVtyioRWGUw/e+5YdEuWF8hphBcF7xF8NOco
 qRVCNZpFEDmjZDXs2uX94FoH0auvi2QqjJhdLRfqZimBtYaGSSeGCHUbMlfSJC2OQdJgAnZrx
 TZbgpCEUCXbTjC6KW8bpHztfFSc5XtvZS7f///NJjpr5B9EtHSY6q5WJv6O6XDlfptZztyrvQ
 wKk15tUtAhaBtwV319T4FFKYahZXZ7nbvDHPrNJK8gNasrOYAumMYFMnbXA4X/lE/pseiSdiA
 3wV3Ms78W/I1hxnrf3QKz4EVKJISmR+wEJsaE17cs4MNa8eFrI4kGTGScm1/SkCkUaargO03A
 lEej3dJ0R/Gxtp5EpPB/qfKlIWSnvhW0Gue+hTRGjpfI7F5ABAj0CsL6FPE5PVnpNER9/1TWS
 EVSTEKHzMtMBKtmfYQ0pvdqwfOOeXJcjnlv+MR/ZSsPV+U0dPUgzU/nYGddyXbVGC7TelDc/h
 k3m85Jw+afpYFY7FK8s6ZHVH0/mHIXkvq9FoNqu2ruYneeiHXppwwZDTratJBye7Nbp8VTDJP
 hdLvjC/cWXLDXF7H2H6wOdRd7Ju5RusBiiVvgavtIm388/DpJ5Xs6NRWBsQvngIpGxIkQaom0
 yecxFRF07sIdgJ2uhguiTmacnk9iqYEbpFKeURoiqS4NVxfoonE94v9ahpAA5yf/tgD0RuGHc
 hu0lezfQjaQ==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hi Michael,

Hi Jeronimo,

> Yes. Instead of  od:
>  od -v -t x1 -A n
>
> it would be possible to use hexdump:
>  hexdump -v -e '16/1 " %02x" "\n"'

Yes, looks good.

> However... hexdump may not be present in all Linux/*BSD/*ix systems.
> At least in Debian, it is in package bsdmainutils, which is
> not required. (od, on the other hand, is in package coreutils, which
> is required)

See, how we do it with the other programs: we test one after the other,
until it succeeds. So it is perfect to have a second entry for awk in
tramp-remote-coding-commands.

> Would it be OK to have two different variables, and two tests for
> od+awk and hexdump+awk?
>
> tramp-od-awk-coding-test
> tramp-od-awk-{encode,decode}
>
> tramp-hexdump-awk-coding-test
> tramp-hexdump-awk-{encode-decode}

Well, decoding does not use od. So it might be sufficient to have

tramp-od-awk-coding-test
tramp-od-awk-encode
tramp-hexdump-awk-coding-test
tramp-hexdump-awk-encode
tramp-awk-decode}


>> > What happened is that (rem-enc ...) failed (because tramp could not u=
se
>> > any encoding command), and fell through into the default action, whic=
h
>> > is this error.
>>
>> Maybe we should enhance the error message.
>
> Perhaps
>
> (tramp-error v 'file-error "Cannot find any way to encode data using
> `%s'" method)
>
> would be more precise?
>
> Or, if (tramp-local-host-p v) (tramp-method-out-of-band-p v size) are
> false, explicitly write that "encoding binaries were not found on the
> remote end"?

Yes, something like this. Do you want to prepare such a patch (which
should also include the tramp.texi changes)?

Hmm, looks like this could extend the 15 lines limit, which is the upper
limit for contributions to Emacs/Tramp, w/o having signed the FSF legal
papers (where you declare the copyright of your work be given to the
FSF). Would you like to sign such a paper? It would help also for future
contributions to Emacs or one of its packages.

> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 10:19:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 06:19:54 2019
Received: from localhost ([127.0.0.1]:34705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOg9a-0004C3-1s
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 06:19:54 -0400
Received: from mail.aleph0.info ([66.228.54.186]:36196 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hOg9U-0004Bg-Pn
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 06:19:50 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id 1AF2B4238D;
 Thu,  9 May 2019 07:19:42 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557397182; bh=nJ2pWQ2waT0o+JkcvcOR3FeYKz61pukxzfChL5h22f4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=kLCmbYHlmXXvDimsr7sJVuYe6szzCpZQe8DaApPZRX1tF3MSKCZIMuoF7U/Tx+kkx
 t1pzvOqS8XlIS5UyNZhm7fRu+H9b9iE/1suLpUxN2iezTmZxy1VRVTZRkStoXaJBc6
 0jMkD/edM7FXDaHIMkqfyNIM+UAt5pR6cjHNxYKMN5aAUOCyQv9SmoC29pbjVqFaQW
 hfKhk2UYYne8Us/6zA3pFbHlG/dVbh7j25N71Ejs1aeqtomLz+wzX6AtJT8FdqrVXp
 1kRR+7muwr5oK1vmK7U15hWJXuw4hkZ8snIBOc9dl/Q8Pry7ElQkEH1vOohHR5OSOp
 gf9/FxzoMd32Q==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id oOw3IslWLwYL; Thu,  9 May 2019 07:19:42 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id BE7F042373;
 Thu,  9 May 2019 07:19:41 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557397181; bh=nJ2pWQ2waT0o+JkcvcOR3FeYKz61pukxzfChL5h22f4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=QqRQ46EG4TBhDOMoPvLUc0AGf7bA/NZvLKeLdwQcAGBPind17KhOhhGbYuusXAuq6
 BortM/KjlpwBHX81cUltraASFBVetObCiohqDz222ljplUlWuErA5QGdqdynR4dtzV
 G97zOYeRk7imYnEwVNNfFZ7RKJU7QxOjlSPkOzNuQ1fLxTo5ovxlwvygTwlDvNBNXb
 /YRlaiiwkyDAo3mw9kMH5HhdsSKT0kkpW00a6x2OlyY7XArnu9yUEkcvT2xw+Y2Odd
 hLHzlpZGK4z5Z/WGIBOxo4RhlG3pTbyU/gPLrWOvVN1RBmoGzyEecGIg8JOXnbS2NQ
 ROUdoTFDCEs8g==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id 5C07296407; Thu,  9 May 2019 07:19:39 -0300 (-03)
Date: Thu, 9 May 2019 07:19:39 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190509101938.GB1697@HIDDEN>
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
 <87d0ksw05q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87d0ksw05q.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Michael,

On Thu, May 09, 2019 at 09:35:13AM +0200, Michael Albinus wrote:
> Jeronimo Pellegrini <j_p@HIDDEN> writes:
> >  (b64 tramp-awk-encode tramp-awk-decode "test -c /dev/zero && od -v -t
> > x1 -A n </dev/null && busybox awk '{}' </dev/null")
> >
> > But awk was not used, because 'od' is also not available.
> 
> I'm not a heavy awk user. The current awk based implementation has been
> contributed by somebody else, IIRC. Do you know another way to use awk
> for encoding/decoing base64, without "od"?

Yes. Instead of  od:
 od -v -t x1 -A n

it would be possible to use hexdump:
 hexdump -v -e '16/1 " %02x" "\n"' 

hexdump is included in busybox, and seems to be at least as fast as
od.

However... hexdump may not be present in all Linux/*BSD/*ix systems.
At least in Debian, it is in package bsdmainutils, which is
not required. (od, on the other hand, is in package coreutils, which 
is required)

> The current Tramp implementation is in the two variables
> `tramp-awk-encode' and `tramp-awk-decode'. If we could find another
> implementation, which runs also on your LibreCMC or OpenWRT machine, we
> could add it to Tramp.

Would it be OK to have two different variables, and two tests for
od+awk and hexdump+awk?

tramp-od-awk-coding-test
tramp-od-awk-{encode,decode}

tramp-hexdump-awk-coding-test
tramp-hexdump-awk-{encode-decode}

Or would it be better if the string in  tramp-awk-encode 
was built from two others, (1) the hex dumper and (2) the awk 
code?
- define a constant tramp-awk-from-hex-to-base64, which does
  only the hex into base64 part of the job

- when connecting, tramp would check for some hex dumper (od 
  or hexdump) this would split tramp-awk-coding-test in two
  others

- tramp-awk-encode would be obtained by concatenating the hex-dumping
  string (either od or hexdump) with " | " and tramp-awk-from-hex-to-base64.

But then tramp-awk-encode would not be a constant anymore.

> > 19:41:26.088945 tramp-sh-handle-file-local-copy (1) # File error:
> > Wrong method specification for ‘ssh’
> >
> > (this is the only occurrence of the string "error").
> >
> > As I had mentioned in the first message, this is because line 3174 of
> > tramp.el was reached. It is the default case of a COND expression that
> > has other two cases:
> > - (or (tramp-local-host-p v)
> >       (tramp-method-out-of-band-p v size))
> > - (rem-enc ...)
> >
> > What happened is that (rem-enc ...) failed (because tramp could not use
> > any encoding command), and fell through into the default action, which
> > is this error.
> 
> Maybe we should enhance the error message.

Perhaps 

(tramp-error v 'file-error "Cannot find any way to encode data using `%s'" method)

would be more precise?

Or, if (tramp-local-host-p v) (tramp-method-out-of-band-p v size) are
false, explicitly write that "encoding binaries were not found on the remote end"?

J.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 9 May 2019 07:35:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 03:35:31 2019
Received: from localhost ([127.0.0.1]:34589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOdaU-0000BY-Ta
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 03:35:31 -0400
Received: from mout.gmx.net ([212.227.17.22]:43405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hOdaR-0000BK-69
 for 35639 <at> debbugs.gnu.org; Thu, 09 May 2019 03:35:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557387317;
 bh=w5ufPgSKEzjs3DL9JA0wS8cU33HNI8QlyVB3Q7C666A=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=RhRPeFMk7DyGpTjfRFoU/+iqEZd2lVuA/mjldyL5Ds/we0yD31QTZoo6qNep6XNj4
 YnWRsHSjwV4zCI2DjBN4FwYujAEbh4PvG+y5YZ3Nk65V7/abm8De/+5OT5cEKxoyj3
 0jIXr4QR4ZqtlcM1v4NA5gchK1MW8xVK1fTDHtXQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([178.20.95.22]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MTvUT-1hFWui0DsP-00QjeZ; Thu, 09
 May 2019 09:35:17 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN> <20190508230145.GA1697@HIDDEN>
Date: Thu, 09 May 2019 09:35:13 +0200
In-Reply-To: <20190508230145.GA1697@HIDDEN> (Jeronimo Pellegrini's
 message of "Wed, 8 May 2019 20:01:45 -0300")
Message-ID: <87d0ksw05q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:1R3f50zNUIvdVLYzWNwLuYcsNeP1hQYipkMlU53QUrLvNh72nIH
 MtoFV9JMe+R6C01eJ4uLGZMS7MWF0/GbANyO2RTfER7aDxRmCx2vRU91HWj+FnXGFVE+pfx
 7E3sFA+SqZjPx0tSuEpWuidNjR9tKnwik6BurVoZTmkMk3Qp0TT+wskw6NZVx5ll6/e+HG0
 IZRpFb7XTadsImFe3zVaw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:BsR3d9gBi5Y=:QU/IE1vz6HAFbg2XudrSmA
 zQ3wxLOdU4x8XIyl/dc+4mNRhdi1CelN++HsSIImTcrMAwr7gUxk04ACMjqUa4L1PYe0yEcVz
 fnEmbPo/vhDTU3fFsWFB2Bw3ef1m8hd+Wa+QHj6Vkas9h6/pEQ8YH+e5H+G3sMjVn9iqmFspH
 iBixAsz+2MdNraoyW2u7a+xsEfvoX4Jxq4O9wciCO7b1FAC4Rhvm6yPTafC+fOq7aLXRbtlDM
 fLwEhzGQ9Osi3mUlhPRwLrXre6VUbnLlqcEgh6e/OWWm58WZjORAFDyu7mc3UcIo2dFw2jk7u
 YHoPSD4Px+bpVbXnnRGatCRjoAbGdXtnMWl7jbK7PMUxxvf+uu/Ax2EwBnctsAGdRNgoDAMpS
 ZsZ1Uh5C5RzloZJq3wlVd6p5a5ySo3eZE6bnVTgbjU5JNPRPI+vwOSxwUVQrjF34KMElgmLR8
 vvdAQ5fb0FYc6WJedNntupypWqPEC4REjeG7Rl79nUh7c/43CrytvqFXz7HMiPwJAYIjHko9y
 H+RTUY6W/8e6T1P4kvtSLs1tspCGJeKcOTGXruOfcRILOlVPMWZSYGL3diRBbDVQOOfvQbCQ5
 Mcu6Sji17Fy4aEj85hXMbERNiMqdJx3j3KYw5TZ7GtnXUs/MR6mIKGpkCThMnQKOhjhyRiAnP
 M3J9Lb2ZqrAqft4wnVwZWENVdzdRJEv+iaSMA6au2IgjSEVcyakyUgnccJy7+QlWWnTaqai+R
 grZ/6cZbg19l/5fzWoT4B74mp4pICwg/rMms9g2lK8dE+Z29i55mhCFt8VvkNo4WVXL8m1ru0
 fOAyeYPABwPEaNZFxJtdPuI54AKgayGHDcyJq75anKsnNbwWqQNeZzS12EQ+t4q7OaIFbp06M
 wHNA2n/rc9LGT/38bb2PBusyj+ytnTfHdVroa6jQijsMSQFSgvwh8zzEJ5OlMGRg5aVfsAU8G
 N+GX76SAD1Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

> Hi,

Hi Jeronimo,

> Before using tramp it has no content; after trying to connect,

Sure. Tramp is autoloaded, its symbols are available only after loading.

> Funny -- it lists awk as one method:
>
>  (b64 tramp-awk-encode tramp-awk-decode "test -c /dev/zero && od -v -t
> x1 -A n </dev/null && busybox awk '{}' </dev/null")
>
> But awk was not used, because 'od' is also not available.

I'm not a heavy awk user. The current awk based implementation has been
contributed by somebody else, IIRC. Do you know another way to use awk
for encoding/decoing base64, without "od"?

The current Tramp implementation is in the two variables
`tramp-awk-encode' and `tramp-awk-decode'. If we could find another
implementation, which runs also on your LibreCMC or OpenWRT machine, we
could add it to Tramp.

> 19:41:26.088945 tramp-sh-handle-file-local-copy (1) # File error:
> Wrong method specification for =C3=A2=E2=82=AC=CB=9Cssh=C3=A2=E2=82=AC=E2=
=84=A2
>
> (this is the only occurrence of the string "error").
>
> As I had mentioned in the first message, this is because line 3174 of
> tramp.el was reached. It is the default case of a COND expression that
> has other two cases:
> - (or (tramp-local-host-p v)
>       (tramp-method-out-of-band-p v size))
> - (rem-enc ...)
>
> What happened is that (rem-enc ...) failed (because tramp could not use
> any encoding command), and fell through into the default action, which
> is this error.

Maybe we should enhance the error message.

>> Tramp shall describe in its manual, what does it need for
>> encoding/decoding. Agreed.
>
> Right...
> I will later in the week propose a patch to the manual, if that is OK.

Thanks.

> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 8 May 2019 23:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 19:01:58 2019
Received: from localhost ([127.0.0.1]:34269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOVZV-00052G-Uq
	for submit <at> debbugs.gnu.org; Wed, 08 May 2019 19:01:58 -0400
Received: from mail.aleph0.info ([66.228.54.186]:41338 helo=aleph0.info)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <j_p@HIDDEN>) id 1hOVZT-000521-Cu
 for 35639 <at> debbugs.gnu.org; Wed, 08 May 2019 19:01:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id C3E444238A;
 Wed,  8 May 2019 20:01:48 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557356508; bh=HtaOEDgdGPSzxgfUvq/eIrJFI1LTBJToG9ZFVe5jA0o=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=Q8Q/x4O4OERe1DrByHoX6AKhScVZOYKHuSku4e5UtJHIXQNO4+ueGFYfmUYQ7gyjX
 MSUFR6iiW8xMKD4kN37wwX8T04FSpRpWztz4rWhpP6lGo/g35XgYKh4niprJb/46Zn
 rjzqNM5cN59jo4JNBcfBqPHUyY7sHeihOAmpVuXg67whh+euV2+Lnl8Ungsutv8fga
 iO7Pn0gxa9gRCmxo4eJrpg8vjCsXLmE4nCMHZCTd4G2diO2y9Vlq3pNvyiwk9qWZgG
 hNIH3F3gwi+8m+h//2Un3QDNvT+TUkwoWAhizoCgj2O3jklYoma1cJ/kv7/spiOAe1
 JRQG+7Lu3DCPw==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id INXOhJyV7NIR; Wed,  8 May 2019 20:01:48 -0300 (-03)
Received: from socrates.aleph0.info (unknown [191.181.133.68])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 6FA2442376;
 Wed,  8 May 2019 20:01:48 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557356508; bh=HtaOEDgdGPSzxgfUvq/eIrJFI1LTBJToG9ZFVe5jA0o=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=Q8Q/x4O4OERe1DrByHoX6AKhScVZOYKHuSku4e5UtJHIXQNO4+ueGFYfmUYQ7gyjX
 MSUFR6iiW8xMKD4kN37wwX8T04FSpRpWztz4rWhpP6lGo/g35XgYKh4niprJb/46Zn
 rjzqNM5cN59jo4JNBcfBqPHUyY7sHeihOAmpVuXg67whh+euV2+Lnl8Ungsutv8fga
 iO7Pn0gxa9gRCmxo4eJrpg8vjCsXLmE4nCMHZCTd4G2diO2y9Vlq3pNvyiwk9qWZgG
 hNIH3F3gwi+8m+h//2Un3QDNvT+TUkwoWAhizoCgj2O3jklYoma1cJ/kv7/spiOAe1
 JRQG+7Lu3DCPw==
Received: by socrates.aleph0.info (Postfix, from userid 1000)
 id CE6CD961B1; Wed,  8 May 2019 20:01:45 -0300 (-03)
Date: Wed, 8 May 2019 20:01:45 -0300
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no
 base64 encoder available, and not mentioned in tramp manual)
Message-ID: <20190508230145.GA1697@HIDDEN>
References: <87d0ksrk0g.fsf@HIDDEN>
 <87k1f03im0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87k1f03im0.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org, Jeronimo Pellegrini <j_p@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi,

> Jeronimo Pellegrini <j_p@HIDDEN> writes:
>
> Hi Jeronimo,
>
>> The rem-enc function should use a base64 encoding program on the
>> router (but LibreCMC and OpenWRT do not have it!).
>
> Tramp is busy to detect base64 or any other method which can be used for
> encoding/decoding. Pls set tramp-verbose to 6, and rerun the test (w/o
> an installed base64 on the remote machine). There will be a Tramp debug
> buffer.

Yes. That's where I first saw the ""Wrong method specification" message.
The buffer contents are here:

http://aleph0.info/jp/tramp-debug/tramp-debug-buffer.txt

>> reading  lisp/net/tramp-sh.el  I get the impression that tramp
>> actually *should* be able to encode/decode using busybox/awk,
>> which *is* available in LibreCMC (or did I get it wrong?).
>
> See variable tramp-remote-coding-commands, it contains all the different
> encoding/decoding commands Tramp tries to apply. awk is among them.

Before using tramp it has no content; after trying to connect,
tramp-remote-coding-commands is:

((b64 "base64" "base64 -d -i")
 (b64 "base64" "base64 -d")
 (b64 "openssl enc -base64" "openssl enc -d -base64")
 (b64 "mimencode -b" "mimencode -u -b")
 (b64 "mmencode -b" "mmencode -u -b")
 (b64 "recode data..base64" "recode base64..data")
 (b64 tramp-perl-encode-with-module tramp-perl-decode-with-module)
 (b64 tramp-perl-encode tramp-perl-decode)
 (b64 tramp-awk-encode tramp-awk-decode "test -c /dev/zero && od -v -t x1 -A n </dev/null && busybox awk '{}' </dev/null")
 (uu "uuencode xxx" "uudecode -o /dev/stdout" "test -c /dev/stdout")
 (uu "uuencode xxx" "uudecode -o -")
 (uu "uuencode xxx" "uudecode -p")
 (uu "uuencode xxx" tramp-uudecode)
 (pack tramp-perl-pack tramp-perl-unpack))

Funny -- it lists awk as one method:

 (b64 tramp-awk-encode tramp-awk-decode "test -c /dev/zero && od -v -t x1 -A n </dev/null && busybox awk '{}' </dev/null")

But awk was not used, because 'od' is also not available.
And none of the other binaries exist in LibreCMC or OpenWRT (not after a simple install, at least).

> The debug buffer you'll send shall show us, why it doesn't work.

Yes, it is here:

19:41:26.088945 tramp-sh-handle-file-local-copy (1) # File error: Wrong method specification for ‘ssh’

(this is the only occurrence of the string "error").

As I had mentioned in the first message, this is because line 3174 of
tramp.el was reached. It is the default case of a COND expression that has other two cases:
- (or (tramp-local-host-p v)
      (tramp-method-out-of-band-p v size))
- (rem-enc ...)

What happened is that (rem-enc ...) failed (because tramp could not use
any encoding command), and fell through into the default action, which
is this error.

>> So, I'm not sure if this is a tramp bug (can't use awk to encode/decode
>> files in base64 format) or bug in its manual (doesn't mention that
>> a base64 binary is needed on the remote side).
>
> Tramp shall describe in its manual, what does it need for
> encoding/decoding. Agreed.

Right...
I will later in the week propose a patch to the manual, if that is OK.

J.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at 35639 <at> debbugs.gnu.org:


Received: (at 35639) by debbugs.gnu.org; 8 May 2019 18:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 14:29:46 2019
Received: from localhost ([127.0.0.1]:33986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hORK6-0000aY-Bk
	for submit <at> debbugs.gnu.org; Wed, 08 May 2019 14:29:46 -0400
Received: from mout.gmx.net ([212.227.15.15]:34143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hORK2-0000aJ-Ko
 for 35639 <at> debbugs.gnu.org; Wed, 08 May 2019 14:29:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1557340171;
 bh=ts8boHuWmUJoWkFLzpop9gdl0WX4LnmBAMbwes+smcs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gB7HI8Y8YcLYUAlrWrGicOLtBu/bbFsGcfhjPtvL55+vBQXhAVJmva2fRbBEy399o
 z8pp1KjvZEh+CzYaaMn/j02IOlKx0KczuUKqbT+02o7aPln1sREtoP7NYt0YV6HnFr
 g6LnY7l5TfEsK7KMDwWOxu6sFJbbt7U3FC4JiKOA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([178.20.95.22]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MPokD-1h1ho81gNX-00MuTN; Wed, 08
 May 2019 20:29:31 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jeronimo Pellegrini <j_p@HIDDEN>
Subject: Re: bug#35639: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
References: <87d0ksrk0g.fsf@HIDDEN>
Date: Wed, 08 May 2019 20:29:27 +0200
In-Reply-To: <87d0ksrk0g.fsf@HIDDEN>
 (Jeronimo Pellegrini's message of "Wed, 08 May 2019 13:25:19 -0300")
Message-ID: <87k1f03im0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:r8gwWh6iz22jbL1FEKbcMHFDcuc9Kp/HqcsZTJctcpzeE4b8JnO
 Cd49xRg3IaWRymbeCZYlAmExiN/k4ZZ+Z4tQR/SsmsVlNF4LmAsPKH+OocsS7Amn639b8ao
 o5oGmmxL/lK1jcEaB2OB+bax1FcxsETIlWhBhk1NcNQS9k/2fk1XvcX7994csLkNQ5Kisbj
 Hf910busYoVo8ADFh5a+Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yJOepJBNOn0=:f5Crm6p67NLMYvv0e4G0st
 DaCFx7z8pWl73ACGC7TfrhwpwUAaCSMxp8KYa20/7abTsBSe97/+koJyHDJQnReiNrH3Ikn4P
 voZ6JTmIL9JQt3zgdsDUSOM76/FLgja0ddM0YgooRYLNxjyn3GVYHYHZVFMSDe8yCkCoFRsB2
 a9U1S0jOZ4+VVEMPbHaDNRYB26qDclyG+J8QAf0iKsyYajp2WSXA+XHzwJHWoMEM9JpP7t9Bm
 01qvzjG5p5GYcGSSPeElmQP9my8SQu4C7/6aDTE9530vRYg8qacQyYAMfC6hohbc9IxvILQbv
 DfxfScEvgc0ZA9v89lK3S5/sVy2qoQKAvEqLXner/Zn2kJ8yTQ6Tc5R5rqWBYSz7qOpRrMut7
 8n2Ko0+uoDu2fadGC0KioHqVFx1aP2ihGhB0pVAdK9anlxIUsqaBjhfROiRrXzjX61YKeiTFX
 CCTOQgTT1vTr9qkQyibMLXa1zhST+tns6rtKBnEzhWDBTDsohlyaYNg1abJCQbqYc45TZEJYv
 ox1Bfo94NGeFo+tcTEEERqo7iw678Q0ks/c//nkwwm95q9BB/E12kp/1Xw7EgeOn6lBreMTJh
 eg0yTnH17R2CK32dN+OyhXx6mb/Hhz85nlgRKr/6FTzyYfkGD2RRteuQx2/MPV+daCbVfiR+8
 tjJP1FvA+NE5LHnBC1zlu2xqzZHMMI089m8qB/Tl8mKCy3nR+HWnQPN3PSTsvMdFGR6f874vv
 iijt3Nbv/s2FNeMGMxydUN9tsMIhlBgCXfMmJ1PzhLonBSE30u6JPjQiVBt2m4q+y7WcEYqCD
 JK/vDdFkxAjlTqaCT8kwbXMAcW0/nymcbZvAUU2YMal3bPwBRP4YUTRIVS4wId/JaLAjTiJvw
 vAhquCAtBc72nww2w8mm7fH+EFeX9wgKD8xILLvFWzpTk+5E87g2Ynvvp0YrpFEn+1ZaxrxIl
 6pOPUowTdwg==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35639
Cc: 35639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jeronimo Pellegrini <j_p@HIDDEN> writes:

Hi Jeronimo,

> The rem-enc function should use a base64 encoding program on the
> router (but LibreCMC and OpenWRT do not have it!).

Tramp is busy to detect base64 or any other method which can be used for
encoding/decoding. Pls set tramp-verbose to 6, and rerun the test (w/o
an installed base64 on the remote machine). There will be a Tramp debug
buffer.

> reading  lisp/net/tramp-sh.el  I get the impression that tramp
> actually *should* be able to encode/decode using busybox/awk,
> which *is* available in LibreCMC (or did I get it wrong?).

See variable tramp-remote-coding-commands, it contains all the different
encoding/decoding commands Tramp tries to apply. awk is among them.

The debug buffer you'll send shall show us, why it doesn't work.

> So, I'm not sure if this is a tramp bug (can't use awk to encode/decode
> files in base64 format) or bug in its manual (doesn't mention that
> a base64 binary is needed on the remote side).

Tramp shall describe in its manual, what does it need for
encoding/decoding. Agreed.

> Thank you!
> J.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 May 2019 16:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 12:38:02 2019
Received: from localhost ([127.0.0.1]:33889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOPZy-0005qs-AO
	for submit <at> debbugs.gnu.org; Wed, 08 May 2019 12:38:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeronimo@HIDDEN>) id 1hOPYj-0005oD-8v
 for submit <at> debbugs.gnu.org; Wed, 08 May 2019 12:36:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:55502)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jeronimo@HIDDEN>)
 id 1hOPYe-0001ej-4p
 for submit <at> debbugs.gnu.org; Wed, 08 May 2019 12:36:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56711)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jeronimo@HIDDEN>) id 1hOPYc-00032s-Lw
 for bug-gnu-emacs@HIDDEN; Wed, 08 May 2019 12:36:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.3 required=5.0 tests=BAYES_50,RCVD_IN_SORBS_WEB,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jeronimo@HIDDEN>) id 1hOPYa-0001c7-CP
 for bug-gnu-emacs@HIDDEN; Wed, 08 May 2019 12:36:38 -0400
Received: from mail.aleph0.info ([66.228.54.186]:48920 helo=aleph0.info)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jeronimo@HIDDEN>)
 id 1hOPYZ-0008RN-VR
 for bug-gnu-emacs@HIDDEN; Wed, 08 May 2019 12:36:36 -0400
Received: from localhost (localhost [127.0.0.1])
 by aleph0.info (Postfix) with ESMTP id 79A874238A
 for <bug-gnu-emacs@HIDDEN>; Wed,  8 May 2019 13:25:21 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557332721; bh=uwy0PGDyy8AvM0cASmAFpiYgAuD9XLI0a+G5MXB2rYA=;
 h=From:To:Subject:Date:From;
 b=tVUFDIjxzP8ZbbT3qV7Vb63xHb9OXNojbGHxOC+KlxtiUG5ZgpRe/TecYhMm95X9S
 USxPUc2bWtit8hNComnfO9TagMXpIYDCnkUwsZN0jkYBKLV5Q7b4abjlkik9u6bTos
 e8mcCTWZ4do7tymS35WLiU1U+/EZBrk7IbBcl43gl7oGlplEb5kh23Ox64vMvlvgiV
 SLcxXFFrj27cg92uarv4c2VMHLhyf4e9ESFyAiFvxb2DPCS66NfFNcnVUc6lyfZ3lM
 oNdr1IwKhiEp8o/1RNBrwT1NeYWJTD0KmMDeVxPpeM/NJ46vxIGpHUYCh+o2EmxrXA
 3HqRoBcEtAY6w==
Received: from aleph0.info ([127.0.0.1])
 by localhost (localhost [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id YK3wVCuzxQtB for <bug-gnu-emacs@HIDDEN>;
 Wed,  8 May 2019 13:25:21 -0300 (-03)
Received: from mitra.ufabc.edu.br (unknown [177.104.48.1])
 (Authenticated sender: je)
 by aleph0.info (Postfix) with ESMTPSA id 0E66842376
 for <bug-gnu-emacs@HIDDEN>; Wed,  8 May 2019 13:25:21 -0300 (-03)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aleph0.info; s=mail;
 t=1557332721; bh=uwy0PGDyy8AvM0cASmAFpiYgAuD9XLI0a+G5MXB2rYA=;
 h=From:To:Subject:Date:From;
 b=tVUFDIjxzP8ZbbT3qV7Vb63xHb9OXNojbGHxOC+KlxtiUG5ZgpRe/TecYhMm95X9S
 USxPUc2bWtit8hNComnfO9TagMXpIYDCnkUwsZN0jkYBKLV5Q7b4abjlkik9u6bTos
 e8mcCTWZ4do7tymS35WLiU1U+/EZBrk7IbBcl43gl7oGlplEb5kh23Ox64vMvlvgiV
 SLcxXFFrj27cg92uarv4c2VMHLhyf4e9ESFyAiFvxb2DPCS66NfFNcnVUc6lyfZ3lM
 oNdr1IwKhiEp8o/1RNBrwT1NeYWJTD0KmMDeVxPpeM/NJ46vxIGpHUYCh+o2EmxrXA
 3HqRoBcEtAY6w==
Received: by mitra.ufabc.edu.br (Postfix, from userid 1000)
 id 2F2BC5D0; Wed,  8 May 2019 13:25:19 -0300 (-03)
From: Jeronimo Pellegrini <j_p@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50;
 tramp fails to use ssh on LibreCMC (no base64 encoder available, and
 not mentioned in tramp manual)
Date: Wed, 08 May 2019 13:25:19 -0300
Message-ID: <87d0ksrk0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 66.228.54.186
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 08 May 2019 12:38:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


Hello. I believe I have found a bug in either tramp.texi or 
tramp-sh.el.

How to reproduce:

[1] set up a vanilla installation of LibreCMC (or OpenWRT, I've
reproduced this on both) on a wireless router. Suppose it's IP
it's 192.168.1.1.

[2] ssh into the router as root and create a file,

cat > test
whatever
^D

[3] from another machine, fire up emacs,

emacs -Q

[4] try to use tramp to access the file using ssh:

C-x X-f  /ssh:root@HIDDEN:/root/test
(or using the IP address, or host name, of the router, whatever it is)


Emacs will respond with an error, complaining about a "wrong method".

This is because line 3174 of rtamp.el was reached. It is the default
case of a COND expression that has other two cases:
- (or (tramp-local-host-p v)
      (tramp-method-out-of-band-p v size))
- (rem-enc ...)

The rem-enc function should use a base64 encoding program on the
router (but LibreCMC and OpenWRT do not have it!).

If, on the router, I install base64:

# opkg install coreutils-base64

then tramp succeeds.

So, I believe this should be mentioned in the manual
(in the info node Configuration -> Remote Programs
there is a list of required programs, but neither uuencode nor
base64 are mentioned)

I'm willing to send a patch to the manual - however:
reading  lisp/net/tramp-sh.el  I get the impression that tramp
actually *should* be able to encode/decode using busybox/awk, 
which *is* available in LibreCMC (or did I get it wrong?).

So, I'm not sure if this is a tramp bug (can't use awk to encode/decode
files in base64 format) or bug in its manual (doesn't mention that
a base64 binary is needed on the remote side).

Thank you!
J.



In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-05-08 built on mitra
Repository revision: 8b789755b45e6e10ed2809d7a7b89146b28452fc
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Debian GNU/Linux buster/sid

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM THREADS LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
easymenu mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl-lib
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
time-date elec-pair mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 46847 6151)
 (symbols 48 5968 1)
 (strings 32 15091 1308)
 (string-bytes 1 495765)
 (vectors 16 9664)
 (vector-slots 8 118994 8860)
 (floats 8 17 21)
 (intervals 56 187 0)
 (buffers 992 13))




Acknowledgement sent to Jeronimo Pellegrini <j_p@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35639; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 15 Oct 2019 02:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.